$(document).ready(function(){
	//disable the department and the assign course select object
	$("#csDepartment").attr("disabled",true);
	$("#csStudy").attr("disabled",true);
	$("#csDepartment1").attr("disabled",true);
	$("#csCourse").attr("disabled",true);
	
	//bind change event to the faculty select object
	$("#csFaculty").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDepartment").attr("disabled",true);
		}else
		{
			loadDepartmentSelect(theValue);
		}
		
	});
	//bind the second faculty box
	$("#csFaculty1").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDepartment1").attr("disabled",true);
		}else
		{
			loadDepartmentSelect2(theValue);
		}
		
	});
	//bind change event to the user group select object
	$("#csDepartment").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csStudy").attr("disabled",true);
		}else
		{
			loadStudySelect(theValue);
		}
	});
	//bind the department box 2
	$("#csDepartment1").change(function(){
		var theValue=$(this).val();
		var thefaculty=$("#csFaculty1").val();
		var thelevel=$("#csLevel1").val();
	
		if(theValue==0 || thefaculty==0 || thelevel==0)
		{
			$("#csCourse").attr("disabled",true);
		}else
		{
			loadCourseSelect(thelevel,thefaculty,theValue);
		}
	});
	//bind the course box
	$("#csCourse").change(function(){
		 var theObj=document.getElementById("csCourse");
		 if(theObj.selectedIndex!=0 && theObj.options[theObj.selectedIndex].value!=0)
		 {
		 	var oData=theObj.options[theObj.selectedIndex].text;
		 	//split the data on |
		 	 oData1=oData.split("|");
		 	 
		 	 $("#csCredit").val(oData1[1]);
		 	 $("#csCoursecode").val(oData1[0]);
		 	 var theSem=document.getElementById("csCoursesemester");
		 	 $("#csCoursesemester").val(oData1[2]);
		 	 if(oData1[2]=='First Semester')
		 	 {
		 	 	theSem.selectedIndex=1;
		 	 	theSem.options[theSem.selectedIndex].text=oData1[2];
		 	 }else
		 	 {
		 	 	theSem.selectedIndex=2;
		 	 	theSem.options[theSem.selectedIndex].text=oData1[2];
		 	 }
		 	return;
		 }
	  
	});
});
//creates a handler for the user group to track leturer
function loadCourseSelect(levelId,facId,deptId)
{
	$.post("ajaxDispatcherReloaded.php",{requestKey:'loadCourses',aDepartment:deptId,aFaculty:facId,aLevel:levelId},function(data){
		var child_data=data.getElementsByTagName('course');
		var targetObject=document.getElementById("csCourse");
		 if(targetObject.firstChild)
		 {
		 	while(targetObject.firstChild)
		 	{
		 		targetObject.removeChild(targetObject.firstChild);
		 	}
		 }
		 for(var i=0;i<child_data.length;i++)
		 {
		 	var optiontag=document.createElement("option");
	  	        optiontag.value=child_data[i].getAttribute('courseId');
	  	        optiontag.appendChild(document.createTextNode(child_data[i].getAttribute('courseCode')));
	  	        targetObject.appendChild(optiontag);                  
		 }
		 $("#csCourse").attr("disabled",false);
		 
	});
}
function loadDepartmentSelect(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment");
	 
	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('deptId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment").attr("disabled",false);
	  });	
}
function loadDepartmentSelect2(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment1");
	 
	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment1");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('deptId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment1").attr("disabled",false);
	  });	
}

function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");
	 
	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('studyId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);                  
	  	           
	  	              
	  	              
	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  });
	
}
function submitCurriculumData()
{
	var frm=document.getElementById("editForm");
	var errorArray=new Array();
	var selectData=document.getElementsByTagName("select");
	if(!selectData)
	{
		throw new Error("Could not get select objects");
	}
	
	for(var l=0;l<selectData.length;l++)
	{
		 var e=selectData[l];
		 
		 	if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
		 	{
		 		errorArray.push(e.id.substr(2));
		 		break;
		 	}
		 
	}
	
	if(errorArray.length>0)
	{
		alert("Please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		var textField=document.getElementById("csCredit");
		if(textField.value==undefined)
		{
			alert("Please enter the course credit");
			return;
		}else
		{
		 frm.submit();
		 return;
		}
	}
	
}
