$(document).ready(function(){
    var url=document.URL;
	//bind the submit button
	$("#cmdSubmit").bind("click",submitProcess);
	
	
	$("#stdprogramme_id").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			//$("#csDegree").attr("disabled",true);
		}else
		{
			loadDegreeSelect(theValue);
		}
		
	});
	




function loadDegreeSelect(pid)
{
	//clear the seelect box
	var targetObject=$("#stddegree_id");
	 
	  $.post("ajaxDispatcherReloaded.php",{requestKey:'loadDegree',aProgrammeid:pid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('degree');
	  	   //load the department select object
	  	   var myselect=document.getElementById("stddegree_id");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('degreeId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('degreeName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   //$("#csDegree").attr("disabled",false);
	  });	
}




	//bind change event to the School select object
	$("#csFaculty").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDepartment").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading departments please wait...");
			loadDepartmentSelect(theValue);
		}

	});
	//bind the department select
   $("#csDepartment").change(function(){
    var deptId=$(this).val();
    if(parseInt(deptId)==0)
    {
    	//$("#csStudy").attr("disabled",true);
    	alert("Please select department from the options");
    	return;
    }else
    {
    	$("csStudy").attr("disabled",true);
       flashMessage(2,"Loading field of study please wait...");
       loadStudySelect(parseInt(deptId));
    }
   });
	var ext=new Array();
	   //ext=url.split("?");
	 	//var data=ext[1];
	 	  if(url.indexOf("printMode")!=-1)
	     {
		   setData();
	     }

});

function loadDepartmentSelect(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment");

	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('deptId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);

	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment").attr("disabled",false);
	  	   flashMessage(1,"");
	  });
}

function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");

	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('studyId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);



	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  	   flashMessage(1,"");
	  });

}
function submitProcess()
{
	var frm=document.getElementById("reportForm");
	var errorArray=new Array();
	var selectData=document.getElementsByTagName("select");
	if(!selectData)
	{
		throw new Error("Could not get select objects");
	}

	for(var l=0;l<selectData.length;l++)
	{
		 var e=selectData[l];

		 	if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
		 	{
		 		errorArray.push(e.id.substr(2));
		 		break;
		 	}

	}

	if(errorArray.length>0)
	{
		alert("Please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		$("<div class='processed_status'><img src='images/progressbar.gif'/></div>").appendTo('#data-box');
		frm.submit();
		return;
	}

}
function printData()
{
	var fileName=document.URL;
	var xWidth=1286;
	var xHeight=800;
	 var url=fileName+"?printMode=1";
	var oWin=window.open(url,'','scrollbars=yes,status=no,addressbar=no,width='+ xWidth +',height='+ xHeight +'');

}
function setData()
{
	//remove the control box
	//$("#control-box").hide();
	$("#control-box").html("<a href='#' onclick='window.print();'>Print</a>");
	//remove the form box
	$("#form-box").hide();
	//remove the pagination box
	$("#pagination-box").hide();
	return;
}

function loadDegreeSelect(pid)
{
	//clear the seelect box
	var targetObject=$("#stddegree_id");
	 
	  $.post("ajaxDispatcherReloaded.php",{requestKey:'loadDegree',aProgrammeid:pid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('degree');
	  	   //load the department select object
	  	   var myselect=document.getElementById("stddegree_id");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('degreeId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('degreeName')));
	  	           myselect.appendChild(optiontag);                  
	  	          
	  	   }
	  	   //enable the department select object if it is loaded
	  	   //$("#csDegree").attr("disabled",false);
	  });	
}

