<?php
session_start();
require_once("office-functions/admission-functions.php");
require_once("office-functions/utility-functions.php");
require_once("office-functions/menu-functions.php");

//require_once("office-functions/resource.manage.php");
//security check
$hash=md5($_SESSION['fullname'].$_SESSION['groupID'].$_SESSION['started']);
$totest=$_SESSION['gate_key'];
if(strcmp($hash,$totest)!=0)
{
	echo"Invalid access";
	exit();
}else 
{
      //get the query data
$dataStatus=false;
     
     $studentDataset=array();
     
//require_once("office-functions/simplepager.php");
//create the pager object
$currfile="view-applicant-profile.php";
//create the pager object
$pager=new SimplePager($currfile);

$current_page=(isset($_GET['pager'])?$_GET['pager']:1);

//calculate the start page
$start_page=($current_page - 1)*$pager->get_limit();

$sorder=(isset($_GET['sortby'])?$_GET['sortby']:0);
//get all the students that registered for this course code
$actionFlag=$_GET['act'];
switch((int)$actionFlag)
{
	case 1:
		 //we are doing a normal search
		 $tofind=trim($_POST['csSearch']);
	$studentDataset=find_applicant($tofind);
		break;
	case 2:
		//we are doing advanced search
		
		$tofind=trim($_GET['matno']);
		if(!empty($tofind))
		{
		  $studentDataset=advancedSearch($tofind);	
		}else 
		{
			echo"<h4>Advanced Search could not find this Applicant</h4>";
			exit();
		}
		
		break;
	default:
	//load the applicants profile data
	$studentDataset=loadApplicantProfile($sorder);
}

//calculate the end page
$end_page=min($start_page + $pager->get_limit(),count($studentDataset));
//generate the pagination links
$pagelinks=$pager->displayLinks($current_page,$studentDataset);

//var_dump($studentDataset);
//exit();
?>
<html>
<head>
<title>Applicant Data Profile</title>
<style type="text/css">
tr
{
font-family:Verdana,Arial,Helvetica;
font-size:11px;
}
#navseparator
{
position:relative;
display:inline;
border-right:1px solid #ccc;
border-left:1px solid #ccc;
margin-right:4px;
padding-left:4px;
padding-right:4px;
font-size:11px;
font-weight:bold;
color:maroon;
font-family:Verdana,Arial,Helvetica;
}

td#navseparator a:visited,a:active,a:link
{
margin-right:4px;
font-size:11px;
font-weight:bold;
color:maroon;
font-family:Verdana,Arial,Helvetica;

}
.odd
{
background-color:#f1f5f6;
}
#headrow
{
background-color:black;
color:white;
font-family:tehoma,verdana,arial;
font-size:11px;
height:18px;
font-weight:bold;
}
#headrow a:link,a:visited,a:active
{
color:white;
font-family:tehoma,verdana,arial;
font-size:11px;
text-decoration:none;
}
#headrow a:hover
{
text-decoration:underline;
}
#todo
{
position:relative;
font-size:11px;
font-weight:bold;
color:maroon;
width:auto;
height:auto;
font-family:Verdana,Arial,Helvetica;
}
#todo a:visited,a:link,a:active
{
text-decoration:underline;
font-size:11px;
font-weight:bold;
color:maroon;
font-family:Verdana,Arial,Helvetica;
}
#todo a:hover
{
color:black;
}
#alink
{
position:relative;
font-size:11px;
font-weight:bold;
color:maroon;
width:auto;
height:auto;
font-family:Verdana,Arial,Helvetica;
}

#alink a:visited,a:link,a:active
{
text-decoration:underline;
font-size:11px;
font-weight:bold;
color:maroon;
font-family:Verdana,Arial,Helvetica;
}
#alink a:hover
{
color:black;
}

.selectbox
{
font-size:10px;
color:black;
border:1px solid #ccc;
width:180px;
height:18px;

}
.inputbox
{
font-size:10px;
color:#777;
border:1px solid #ccc;
width:180px;
height:18px;

}


</style>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	//grab the search field and attach a click event to it
	$("#csSearch").bind("click",function(){
		$(this).attr("value",'');
	}
	);
	//bind an event to the command button to search
	$("#cmdSearch").bind("click",function(){
		//check if the search field is empty
		var errorArr=new Array();
		var csSearchTerm=$("#csSearch").val();
		if(csSearchTerm.length==0 ||csSearchTerm.length <2)
		{
			var e=$("#csSearch").attr("id");
			errorArr.push(e.substr(2));
		}
		
		if(errorArr.length >0)
		{
			alert("Please enter a applicant application no; "+ errorArr.pop()+" is incorrect");
			return;
		}else
		{
			var frm=$("#mSearch");
			  frm.submit();
		}
	});
	
});

</script>
</head>
<body>
<div id="page">
 <div id="container">
    <table width="850" align="center" border="0"cellpadding="1" cellspacing="1">
     <tbody>
      <tr valign="top" align="right"><td width="100%" align="right"><div id="alink"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>" target="_blank">Print</a>
       &nbsp;&nbsp;|
         <?php if(count($studentDataset)){echo"<a href='admission-excel-parser.php?eid=46' target='_blank'>Excel Format</a>";}?>
       &nbsp;&nbsp;|&nbsp;&nbsp;<a href="#"></a></div>
      </td></tr>
       <tr bgcolor="white"><td  align="left"width="100%"><strong>APPLICANT DATA PROFILE</strong></td></tr>
       <tr><td>
          <table cellpadding="2" cellspacing="4"><tbody>
           <tr><td>
            <form id="mSearch"action="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?act=1"method="POST">
             <label>Quick Search</label>
              <input type="text" name="csSearch" id="csSearch" class="inputbox"size="30"value="Enter application number"/>
              <input type="button" id="cmdSearch"name="cmdSearch" value="Go"/>
           </form>
           </td><td><div id="todo"><!--[&nbsp;&nbsp;<a href="add-new-student.php">Add New Student</a>&nbsp;&nbsp;]
                    [&nbsp;&nbsp;<a href="<?php echo $_SERVER['PHP_SELF'];?>?act=2">Show All</a>&nbsp;&nbsp;]
                    [&nbsp;&nbsp;<a href="student-missing-data.php">View Incomplete Profiles</a>&nbsp;&nbsp;]-->
                     </div>
           </td></tr></tbody></table>
           </td>
           <td align="left"></td></tr>
     </tbody>
    </table>
    <table width="100%" align="center" border="0" cellpadding="2" cellspacing="1">
      <tr id="headrow">
        <td width="1%" nowrap="nowrap">S/N</th>
        <td width="10%"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?sortby=1">APP No</a></td>
        <td width="20%"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?sortby=2">Student Name</a></td>
        <td width="20%"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?sortby=3">Faculty</a></td>
        <td width="20%"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?sortby=4">Department</a></td>
        <td width="20%"><a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?sortby=5">Course</a></td>

        <td width="">&nbsp;</td>
      </tr>
       <?php if(!count($studentDataset)):?>
           <tr><td colspan='8' align="center">No records found for this student &nbsp;<a href="<?php echo $_SERVER['../administrative/PHP_SELF'];?>?matno=<?php echo $_POST['csSearch'];?>&act=2">Perform Advanced Search</a></td></tr> 
       <?php else:?>
          <?php  for($v=$start_page;$v<$end_page;$v++):?>
              <?php $dataItem=$studentDataset[$v]; ?>
             <tr valign="top" class="<?php echo($v%2==0)?'even':'odd';?>">
               <td align="left"><?php echo $v+1;?></td>
               <td align="left"><div id="todo"><a href="../application/printapplication.php?reg_id=<? echo $dataItem->studentstd_logid; ?>" target="_blank"><?php echo strtoupper($dataItem->studentApplicationno);?></a></div></td>
               <td align="left"><?php echo strtoupper($dataItem->studentName);?></td>
               <td align="left"><?php echo strtoupper($dataItem->studentFaculty);?></td>
               <td align="left"><?php echo strtoupper($dataItem->studentDepartment);?></td>
               <td align="left"><?php echo strtoupper($dataItem->studentCourse);?></td>
               <td align="left"><div id="todo">
               
               <a href="JavaScript:;" onClick="MM_openBrWindow('documents_list.php?mylog_id=<? echo $dataItem->studentId; ?>','','resizable=yes,scrollbars=yes,width=700,height=300')" style="color:#000099; text-decoration:underline;">						
						Documents</a>
               </div></td>
             </tr>
          <?php endfor;?> 
       
       <?php endif;?>
       <tr><td height="15" colspan="9"><spacer type='vertical' height='15'></td></tr>
      <tr bgcolor="#f0f0f0" align="left"><td colspan="9">
         <?php if(count($studentDataset))
         {
         	echo $pagelinks;
         }
         ?>
      </td></tr>
      <tr><td colspan="9" align="left">
      <?php if(count($studentDataset)){ $tt=$start_page + 1; echo "Records ".$tt." to ".$end_page." of ".count($studentDataset);}?>
      </td></tr>
    </table>
 </div>
</div>
</body>
</html>
<?php
}

?>