//this is the diploma js file
function showLoading(id)
{
  //if we have an id we are shoing loading else we are removing it
  if(!id)
  {
  	if($('.loading_timer').length)
  	{
  		$('.loading_timer').fadeOut(function(){$(this).remove();});
  		return;
  	}
  	$('#'+id).attr('disabled',true);
  	return;
  }else
  {
  	//we are adding the loading stuff
    var $id=$('#'+id);
    var loader="<span id='loader' class='loading_timer'>Loading please wait...</span>";
    $id.after(loader);
    return;
  }
}

function loadInstitutes(obj)
{
  var id=obj.id;
  var $id=$('#'+id);
  var rid=$id.val()||0;
  if(parseInt(rid)>0)
  {
    //get the requested json data
    //reset the courses select
    $('#csCourse').html("<option value='0'>--Select Course--</option>");
    if($('#course_row').hasClass('is_hidden'))
    {
    	$('#course_row').css({display:''}).removeClass('is_hidden');
    }

    showLoading('csFaculty');
    $.getJSON('diploma_ajax.php',{rid:rid,rt:'loadInstitutes'},function(s){
    	if(s.length)
    	{
           loadOptions('csFaculty',s,'--Select Institute/Faculty--');
    	}
    });
  }

}
function loadLga(obj)
{
	var id=obj.id;
  var $id=$('#'+id);
  var rid=$id.val()||0;
  if(parseInt(rid)>0)
  {
    //get the requested json data

    showLoading('csLga');
    $.getJSON('diploma_ajax.php',{rid:rid,rt:'loadLga'},function(s){
    	if(s.length)
    	{
           loadOptions('csLga',s,'--Select Lga--');
    	}
    });
  }

}
function loadCourses(obj)
{
 var id=obj.id;
  var $id=$('#'+id);
  var rid=$id.val()||0;
  if(parseInt(rid)>0)
  {
    //get the requested json data
    //if the id is 8 hide the course row
    if(parseInt(rid)==8)
    {
    	$('#course_row').css({display:'none'}).addClass('is_hidden');
    	return;
    }
    if($('#course_row').hasClass('is_hidden'))
    {
    	$('#course_row').css({display:''}).removeClass('is_hidden');
    }

    showLoading('csCourse');
    $.getJSON('diploma_ajax.php',{rid:rid,rt:'loadCourses'},function(s){
    	if(s.length)
    	{
           loadOptions('csCourse',s,'--Select Course--');
    	}
    });
  }

}
function loadOptions(id,data,title)
{
   var html=[];
   html.push("<option value='0' selected>"+title+"</option>");
  if(id && data.length)
  {
    switch(id)
    {
    	case'csFaculty':
    	//loading the faculty options
    	for(var k in data)
    	{
    		var m=data[k];
			html.push("<option value='"+m.facultyId+"'>"+m.facultyName+"</option>");
    	}
    	break;
    	case'csCourse':
    	//loading the courses applied for
    	for(var k in data)
    	{
    		var m=data[k];
    		html.push("<option value='"+m.departmentId+"'>"+m.departmentName+"</option>");
    	}
    	break;
    	case'csLga':
    	//Loading lgass
    	for(var k in data)
    	{
    		var m=data[k];
    		html.push("<option value='"+m.lgaId+"'>"+m.lgaName+"</option>");
    	}
    	break;

    }
    var $id=$('#'+id);
    $id.html(html.join(''));
    showLoading(0);
    $id.attr('disabled',false);
    return;
  }
}

function showNationality(obj)
{
  var sid=0;
  var nid=0;
  var ns=obj.id;
  var sc=$("#show_states");
  var sl=$("#show_lgas");
  nid=$("#"+ns).val();
  nid=parseInt(nid);
  //if the nationality is 156 show states and lgas
  if(nid==0)
  {
  	return;
  }
  if(nid==156)
  {
  	//show the state and lga
  	sc.show();
  	sl.show();
  	$("#is_nigerian").val(1);
  }else
  {
  	//hide the state and lgas
  	sc.hide();
  	sl.hide();
  	$("#is_nigerian").val(0);
  }

}


function sendData()
{
	var frm=document.getElementById("reportForm");
	var errorArray=new Array();
	var selectData=document.getElementsByTagName("select");
	if(!selectData)
	{
		throw new Error("Could not get select objects");
	}

	for(var l=0;l<selectData.length;l++)
	{
		 var e=selectData[l];

		 	if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
		 	{
		 		errorArray.push(e.id.substr(2));
		 		break;
		 	}

	}

	if(errorArray.length>0)
	{
		alert("Please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		frm.submit();
		return;
	}

}
