$(document).ready(function(){
	$("#cmdsubmit").bind("click",saveOfficer2);
	
	$("#csFaculty").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			//$("#csDepartment").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading selected faculty departments please wait...");
			loadDepartmentSelect(theValue);
		}
		
	});
	//bind group
	$("#csGroup").change(function(){
		var theid=$(this).val();
		if(theid>0)
		{
			setupOfficerType(theid);
		}
	});
	
});
function saveOfficer2()
{
	var textFields=$("input");
	var textPwd=[];
	var errorArr=[];
	for(var k=0;k<textFields.length;k++)
	{
		 var e=textFields[k];
		 if(e.type=='text' || e.type=='password')
		 {
	           if(e.id!="csOthernames" && e.value.length==0)
	           {
	           	 errorArr.push(e.id.substr(2));
	           	 break;
	           }else if(e.type=="password")
	           {
	           	 textPwd.push(e.value);
	           }
		 }
	}
	
	if(errorArr.length>0)
	{
		alert("please enter the value for "+ errorArr.pop()+"");
		return;
	}else
	{
		 if(textPwd[0]!=textPwd[1])
		 {
		 	alert("Password mismatched,please correct your password");
		 	return;
		 }else
		 {
		 	 $("select").each(function(){
		 	 	if($(this).is(":enabled"))
		 	 	{
		 	 		var sid=$(this).attr("id");
		 	 		//var sval=$(this).val();
		 	 		if($(this).val()==0)
		 	 		{
		 	 			errorArr.push(sid.substr(2));
		 	 			return false;
		 	 		}
		 	 		
		 	 	}
		 	 });
		 	 
		 	  if(errorArr.length>0)
		 	  {
		 	  	alert("Please select "+ errorArr.pop()+" from the options");
		 	  	return;
		 	  }else
		 	  {
		 	  	//alert("We are ready to go");
		 	  	$("#addOfficer").submit();
		 	  }
		 }
		 
	}
	
}
function saveOfficer()
{
	var textFields=document.getElementsByTagName("input");
	var selectFields=document.getElementsByTagName("select");
	var errorArray=new Array();
	var pwdFields=new Array();
	
	//check the textbox fields
	for(var k=0;k<textFields.length;k++)
	{
		var e=textFields[k];
		if(e.type=='text' || e.type=='password')
		{
			if(e.id!='csOthernames' && e.value.length==0)
			{
				errorArray.push(e.id.substr(2));
	 	 	   	 break;
			}else if(e.type=='password')
			{
				pwdFields.push(e.value);
			}
		}
	}
	//check if we have an error
	if(errorArray.length>0)
	{
		alert("Please enter the "+ errorArray.pop()+"");
		return;
	}else
	{
		//check for password mismatch
		  if(pwdFields[0]!=pwdFields[1])
		  {
		  	//password mismatched
		  	alert("Password mismatched,please confirm passwords");
		  	return;
		  }else
		  {
		  	  //check the select boxes
		  	  for(var p=0;p<selectFields.length;p++)
		  	  {
		  	  	 var d=selectFields[p];
		  	  	 if(d.selectedIndex==0 || d.options[d.selectedIndex].value==0)
		  	  	 {
		  	  	 	 errorArray.push(d.id.substr(2));
		  	  	 	 break;
		  	  	 }
		  	  }
		  	  
		  	  //check if there is an error 
		  	  if(errorArray.length>0)
		  	  {
		  	  	 alert("please select "+ errorArray.pop()+" from the option");
		  	  	 return;
		  	  }else
		  	  {
		  	  	// we are set to submit the data
		  	  	$("#addOfficer").submit();
		  	  	return;
		  	  }
		  }
	}
}
function loadDepartmentSelect(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment");
	 
	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");
	  	       
	  	           optiontag.value=child_nodes[k].getAttribute('deptId');
	  	       
	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);                  
	  	           
	  	              
	  	              
	  	   }
	  	   //enable the department select object if it is loaded
	  	   //$("#csDepartment").attr("disabled",false);
	  	   flashMessage(1,"");
	  });
	
	
}
function cancelUpdate()
{
	window.history.go(-1);
	return;
}
function setupOfficerType(groupid)
{
	var gid=parseInt(groupid);
	activateAll();
	switch(gid)
	{
		case 1://SP
		case 6:// DSA
		case 12:// BS
		case 14: // M
		case 11: //IA
		     
		     $("#csFaculty").attr("disabled",true);
		     $("#csProgramme").attr("disabled",true);
		     $("#csDepartment").attr("disabled",true);
		     $("#csHostel").attr("disabled",true);
		 break;
		case 15: // HA
		     
		     $("#csFaculty").attr("disabled",true);
		     $("#csProgramme").attr("disabled",true);
		     $("#csDepartment").attr("disabled",true);
		   break;
		   
		case 13://PGDN
		case 9: //DN
		     $("#csProgramme").attr("disabled",true);
		     $("#csDepartment").attr("disabled",true);
		     $("#csHostel").attr("disabled",true);
		     break;
		     
	    case 8:// HOD
	         $("#csProgramme").attr("disabled",true);
		     
		     $("#csHostel").attr("disabled",true);
		     break;
		     default:
		     $("#csHostel").attr("disabled",true);
	}
	return;
}
function activateAll()
{
	var mycounter=0;
	$("select").each(function(index,mebo){
		
		$(this).attr("disabled",false);
	});
	
	return;
}
