
function flashMessage(itype,msg)
{
	var e=$("#errorbar");
	switch(parseInt(itype))
	{
		case 1:
		//clear the message box and toggle the class
		e.empty().removeClass("active-state").addClass("hidden-state");
		break;
		case 2:
		//set the error message of load state
		e.empty().append(msg).removeClass("hidden-state").addClass("active-state");
		break;
	}
	return;
}

function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");

	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('studyId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);



	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  	   flashMessage(1,"");
	  });

}
function loadDepartments(j)
{
	//var targetObject=$("#csDepartment");
	  $.post("ajaxDispatcher.php",{facultyID:j},function(data){
	  	  var nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=nodes[k].getAttribute('deptId');

	  	           optiontag.appendChild(document.createTextNode(nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);

	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment").attr("disabled",false);
	  	   flashMessage(1,"");
	  });
}

function printData(url)
{
    //var fileName=document.URL;

    var xWidth=1296;
    var xHeight=800;
    //var url=fileName+"?printMode=1";
    var oWin=window.open(url,'','scrollbars=yes,status=no,addressbar=no,width='+ xWidth +',height='+ xHeight +'');

}

function setData()
{
    //remove the control box
    //$("#control-box").hide();
    $("#control-box").html("<a href='#' onclick='window.print();'>Print</a>");
    //remove the form box
    $("#form-box").hide();
    //remove the pagination box
    $("#pagination-box").hide();
    return;
}

//init on window load
$(document).ready(function(){
	var url=document.URL;
	toggleTableRow();
	//bind the submit button
	$("#cmdShow").unbind().bind("click",function(){
		//do the form submission
	});
	//bind the faculty selection
	$("#csFaculty").change(function(){
		var v=0;
		v=$(this).val();
		if(parseInt(v)==0)
		{
			alert("Please select a faculty from the options");
			return;
		}else
		{
			//disable the department select box
			$("#csDepartment").attr("disabled",true);
			//the flashmessage
			flashMessage(2,"Loading faculty departments please wait...");
			loadDepartments(v);
		}

	});

	//bind department select
	$("#csDepartment").change(function(){
      var d=0;
        d=$(this).val();
        if(parseInt(d)==0)
        {
        	alert("Please select a department from the options");
        	return;
        }else
        {
          $("#csStudy").attr("disabled",true);
          flashMessage(2,"Loading field of study please wait...");
          loadStudySelect(d);
        }
	});

	var ext=new Array();
    //ext=url.split("?");
    //var data=ext[1];
    if(url.indexOf("printMode")!=-1)
    {
        setData();
    }

});
