$(document).ready(function(){
    var url=document.URL;
    //bind the submit button
    $("#cmdsubmit").bind("click",submitDatareport);

    $("#csFaculty").change(function(){
        var theValue=$(this).val();
        if(theValue==0)
        {
            $("#csDepartment").attr("disabled",true);
        }else
        {
            flashMessage(2,"Loading departments please wait...");
            loadDepartmentSelect(theValue);
        }

    });
    //bind department select
	$("#csDepartment").change(function(){
      var d=0;
        d=$(this).val();
        if(parseInt(d)==0)
        {
        	alert("Please select a department from the options");
        	return;
        }else
        {
          $("#csStudy").attr("disabled",true);
          flashMessage(2,"Loading field of study please wait...");
          loadStudySelect(d);
        }
	});
    var ext=new Array();
    //ext=url.split("?");
    //var data=ext[1];
    if(url.indexOf("printMode")!=-1)
    {
        setData();
    }

});
//creates a handler for the user group to track leturer

function submitDatareport()
{
    var frm=document.getElementById("reportForm");
    var errorArray=new Array();
    var selectData=document.getElementsByTagName("select");
    if(!selectData)
    {
        throw new Error("Could not get select objects");
    }

    for(var l=0;l<selectData.length;l++)
    {
        var e=selectData[l];

        if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
        {
            errorArray.push(e.id.substr(2));
            break;
        }

    }

    if(errorArray.length>0)
    {
        alert("Please select "+ errorArray.pop()+" from the options");
        return;
    }else
    {
        frm.submit();
        return;
    }

}
function printData()
{
    var fileName=document.URL;
    var xWidth=1296;
    var xHeight=800;
    var url=fileName+"?printMode=1";
    var oWin=window.open(url,'','scrollbars=yes,status=no,addressbar=no,width='+ xWidth +',height='+ xHeight +'');

}
function setData()
{
    //remove the control box
    //$("#control-box").hide();
    $("#control-box").html("<a href='#' onclick='window.print();'>Print</a>");
    //remove the form box
    $("#form-box").hide();
    //remove the pagination box
    $("#pagination-box").hide();
    return;
}
function flashMessage(itype,msg)
{
    var ebar=document.getElementById("errorbar");
    switch(parseInt(itype))
    {
        case 1:
            //clear the message box and toggle the class
            //$("#errorbar").html("");
            //$("#errorbar").toggleClass("hidden-state");
            ebar.innerHTML='';
            ebar.className='hidden-state';
            break;
        case 2:
            //set the error message of load state message
            //$("#errorbar").html(" "+msg+" ");
            //$("#errorbar").
            ebar.innerHTML=msg;
            ebar.className='active-state';
            break;
    }
    return;
}
function loadDepartmentSelect(fid)
{
    //clear the seelect box
    var targetObject=$("#csDepartment");

    $.post("ajaxDispatcher.php",{
        facultyID:fid
    },function(data){
        //alert(data);
        var child_nodes=data.getElementsByTagName('department');
        //load the department select object
        var myselect=document.getElementById("csDepartment");
        //clear the object before loading it
        if(myselect.firstChild)
        {
            while(myselect.firstChild)
            {
                myselect.removeChild(myselect.firstChild);
            }
        }
        for(var k=0;k<child_nodes.length;k++)
        {
            var optiontag=document.createElement("option");

            optiontag.value=child_nodes[k].getAttribute('deptId');

            optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
            myselect.appendChild(optiontag);

        }
        //enable the department select object if it is loaded
        $("#csDepartment").attr("disabled",false);
        flashMessage(1,"");
    });
}
function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");

	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('studyId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);



	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  	   flashMessage(1,"");
	  });

}
function getTranscript(sid,dip)
{
    var url_transcript='transcript.php';

    //pass the request parameters
    var studentId=parseInt(sid);
    var departmentId=parseInt(dip);
//alert(departmentId);
    url_transcript+="?sid="+ studentId+"&dip="+departmentId;

    var transWindow=window.open(url_transcript,'','fullscreen=yes,scrollbars=yes,menubar=yes,addressbar=no');
    transWindow.focus();
}

function getResultStatement(studentId,levelId,sessionId,semester)
{
   var url_statement="student-statement3.php";
   var std_id=parseInt(studentId);
   var lid=parseInt(levelId);
   var sid=parseInt(sessionId);
   var sem=semester;
   url_statement+="?id="+std_id+"&lid="+lid+"&semester="+encodeURIComponent(sem)+"&sessionId="+sid;
   var statementWin=window.open(url_statement,'','fullscreen=yes,scrollbars=yes,menubar=yes,addressbar=no');
   //alert(url_statement);
   statementWin.focus();

}

