$(document).ready(function(){
    var url=document.URL;
	//bind the submit button
	$("#cmdsubmit").bind("click",submitDatareport);

	//bind change event to the faculty select object
	$("#csFaculty").change(function(){
		var theValue=$(this).val();
		if(theValue==0)
		{
			$("#csDepartment").attr("disabled",true);
		}else
		{
			flashMessage(2,"Loading departments please wait...");
			loadDepartmentSelect(theValue);
		}

	});

	var ext=new Array();
	   //ext=url.split("?");
	 	//var data=ext[1];
	 	  if(url.indexOf("printMode")!=-1)
	     {
		   setData();
	     }

});
//creates a handler for the user group to track leturer
function loadCourseSelect(deptId)
{
	$.post("ajaxDispatcher.php",{departmentID:deptId},function(data){
		var child_data=data.getElementsByTagName('course');
		var targetObject=document.getElementById("csCourse");
		 if(targetObject.firstChild)
		 {
		 	while(targetObject.firstChild)
		 	{
		 		targetObject.removeChild(targetObject.firstChild);
		 	}
		 }
		 for(var i=0;i<child_data.length;i++)
		 {
		 	var optiontag=document.createElement("option");
	  	        optiontag.value=child_data[i].getAttribute('courseId');
	  	        optiontag.appendChild(document.createTextNode(child_data[i].getAttribute('courseCode')));
	  	        targetObject.appendChild(optiontag);
		 }
		 $("#csCourse").attr("disabled",false);
		   flashMessage(1,"");

	});
}
function loadDepartmentSelect(fid)
{
	//clear the seelect box
	var targetObject=$("#csDepartment");

	  $.post("ajaxDispatcher.php",{facultyID:fid},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('department');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csDepartment");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('deptId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('deptName')));
	  	           myselect.appendChild(optiontag);

	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csDepartment").attr("disabled",false);
	  	   flashMessage(1,"");
	  });
}
function loadStudySelect(deptId)
{
	//clear the seelect box
	var targetObject=$("#csStudy");

	  $.post("ajaxDispatcher.php",{studyDepartmentID:deptId},function(data){
	  	  //alert(data);
	  	  var child_nodes=data.getElementsByTagName('study');
	  	   //load the department select object
	  	   var myselect=document.getElementById("csStudy");
	  	   //clear the object before loading it
	  	   if(myselect.firstChild)
	  	   {
	  	   	  while(myselect.firstChild)
	  	   	  {
	  	   	  	myselect.removeChild(myselect.firstChild);
	  	   	  }
	  	   }
	  	   for(var k=0;k<child_nodes.length;k++)
	  	   {
	  	       var optiontag=document.createElement("option");

	  	           optiontag.value=child_nodes[k].getAttribute('studyId');

	  	           optiontag.appendChild(document.createTextNode(child_nodes[k].getAttribute('studyName')));
	  	           myselect.appendChild(optiontag);



	  	   }
	  	   //enable the department select object if it is loaded
	  	   $("#csStudy").attr("disabled",false);
	  	   flashMessage(1,"");
	  });

}
function submitDatareport()
{
	var frm=document.getElementById("reportForm");
	var errorArray=new Array();
	var selectData=document.getElementsByTagName("select");
	if(!selectData)
	{
		throw new Error("Could not get select objects");
	}

	for(var l=0;l<selectData.length;l++)
	{
		 var e=selectData[l];

		 	if(e.selectedIndex==0 || e.options[e.selectedIndex].value==undefined)
		 	{
		 		errorArray.push(e.id.substr(2));
		 		break;
		 	}

	}

	if(errorArray.length<0)
	{
		alert("Please select "+ errorArray.pop()+" from the options");
		return;
	}else
	{
		frm.submit();
		return;
	}

}
function printData()
{
	var fileName=document.URL;
	var xWidth=850;
	var xHeight=800;
	 var url=fileName+"?printMode=1";
	var oWin=window.open(url,'','scrollbars=yes,status=no,addressbar=no,width='+ xWidth +',height='+ xHeight +'');

}
function setData()
{
	//remove the control box
	//$("#control-box").hide();
	$("#control-box").html("<a href='#' onclick='window.print();'>Print</a>");
	//remove the form box
	$("#form-box").hide();
	//remove the pagination box
	$("#pagination-box").hide();
	return;
}
