<?php
/**
 *  This file handles
 */
function studentReport($levelId,$facultyId,$departmentId,$studyId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset=array();
	$sql='';
	$orderby="";
	   switch ((int)$sorttype)
	   {
	   	case 1:
	   		// sort by matric number

	   		    $orderby="s.matric_no";
	   		break;
	   	case 2:
	   		// sort by surname
	   		     $orderby="s.surname";
	   		break;
	   	case 3:
	   		// sort by other name or firstname
	   		    $orderby="s.firstname";
	   		break;
	   	case 4:
	   		// sort by  gender
	   		      $orderby="s.gender";
	   		break;
	   	case 5:
	   		// sort by state of origin
	   		     $orderby="p.state_name";
	   		break;
	   		default:
	   		    $orderby="d.programme_option";

	   }

	   $sql="SELECT s.matric_no,s.surname,
	     		  CONCAT(s.firstname,' ',s.othernames) as othername,
	      		  s.gender,p.state_name,d.programme_option,l.level_name,
                  d2.departments_name,f.faculties_name
	      		  FROM students_profile
	      		  AS s,state
	      		  AS p,dept_options
                  AS d,departments
                  AS d2,level
                  AS l,faculties
                  AS f, transaction
				  AS t
                  WHERE s.std_id = t.user_id
				  AND s.stdfaculty_id='$facultyId'
                  AND s.stdfaculty_id=f.faculties_id
                  AND s.stddepartment_id=d2.departments_id
                  AND s.stdcourse=d.do_id
                  AND s.std_custome1=l.level_id
	      		  AND s.state_of_origin=p.state_id
	      		  AND s.stddepartment_id='$departmentId'
	      		  AND s.stdcourse='$studyId'
	        	  AND s.std_custome1='$levelId'
				  AND t.trans_custom19!='1'
				  AND t.trans_custom1='Paid'
				  GROUP BY t.user_id ORDER BY $orderby";

	   $ret=mysql_query($sql,$connect);
	   if(mysql_num_rows($ret)>0)
	   {
	   	 while($d=mysql_fetch_assoc($ret))
	   	 {
	   	 	 $data=new stdClass();
	   	 	 $data->studentMatricno=$d['matric_no'];
	   	 	 $data->studentFirstname=$d['firstname'];
	   	 	 $data->studentOthername=$d['othername'];
	   	 	 $data->studentGender=$d['gender'];
	   	 	 $data->studentLevel=$d['level_name'];
	   	 	 $data->studentFaculty=$d['faculties_name'];
	   	 	 $data->studentDepartment=$d['departments_name'];
	   	 	 $data->studentCourse=$d['programme_option'];
	   	 	 $data->studentSurname=$d['surname'];
	   	 	 $data->studentState=$d['state_name'];
	   	 	 $dataset[]=$data;
	   	 }
	   }
	   $pager->setRows($dataset);
	   return $dataset;
}
function findAllNewStudent($type,$session,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset=array();
	$level=

	$sql='';
	$orderby="";
	   switch ((int)$sorttype)
	   {
	   	case 1:
	   		// sort by matric number

	   		    $orderby="s.matric_no";
	   		break;
	   	case 2:
	   		// sort by surname
	   		     $orderby="s.surname";
	   		break;
	   	case 3:
	   		// sort by other name or faculty
	   		    $orderby="s.stdfaculty_id";
	   		break;
	   	case 4:
	   		// sort by  department
	   		      $orderby="s.stddepartment_id";
	   		break;
	   	case 5:
	   		// sort by level
	   		     $orderby="s.std_custome1";
	   		break;
	   	case 6:
	   		 $orderby="d.programme_option";
	   		break;
	   	case 7:
	   		  $orderby="s.state_of_origin";
	   		break;
	   	case 8:
	   		  $orderby="s.gender";
	   		break;
	   		default:
	   		    $orderby="d.programme_option";
	   }

	   $levelType='';
	   if($type==1)
	   {
	   	$levelType="AND s.std_custome1<7";
	   }else
	   {
	   	$levelType="AND s.std_custome1>6";
	   }

	   $sql="SELECT distinct s.matric_no,
	     		  CONCAT(s.firstname,' ',s.surname,' ',s.othernames) as name,
	      		  s.gender,p.state_name,d.programme_option,l.level_id,l.level_name,s.std_custome20,s.local_gov,
				  s.state_of_origin,s.std_custome9,
                  d2.departments_name,f.faculties_name
	      		  FROM students_profile
	      		  AS s,state
	      		  AS p,dept_options
                  AS d,
               students_reg AS p1,
               departments AS d2,level
                  AS l,faculties
                  AS f
                  WHERE s.stdfaculty_id=f.faculties_id
                  AND s.stddepartment_id=d2.departments_id
                  AND s.stdcourse=d.do_id
                  AND s.std_custome1=l.level_id
	      		  AND s.state_of_origin=p.state_id
	      		  AND s.std_custome2='$session'
	      		  AND s.std_custome19='new'
                  AND p1.std_id=s.std_id
	        	  $levelType
	        	  ORDER BY $orderby";
	   $ret=mysql_query($sql,$connect);
	   if(mysql_num_rows($ret)>0)
	   {
	   	 while($d=mysql_fetch_assoc($ret))
	   	 {
	   	 	 $data=new stdClass();

	   	 	 if($d['level_id']<7)
	   	 	 {
	   	 	   $data->studentMatricno=$d['matric_no'];
	   	 	 }else
	   	 	 {
	   	 	 	$data->studentMatricno=$d['std_custome20'];
	   	 	 }

	   	 	 $data->studentName=$d['name'];
	   	 	 $data->studentGender=$d['gender'];
	   	 	 $data->studentLevel=$d['level_name'];
	   	 	 $data->studentFaculty=$d['faculties_name'];
	   	 	 $data->studentDepartment=$d['departments_name'];
	   	 	 $data->studentCourse=$d['programme_option'];
	   	 	 $data->studentSurname=$d['surname'];
	   	 	 $data->studentState=$d['state_name'];
			 $data->studentId=$d['state_of_origin'];
			  $data->studentJambNumber=$d['std_custome9'];
			 
			 $data->studentLga=$d['local_gov'];
	   	 	 $dataset[]=$data;
	   	 }
	   }
	   $pager->setRows($dataset);
	   return $dataset;

}

function studentReportbystate($stateId)
{
	$dataset=array();
	$innerdataset=array();
	global $connect;

	$where='';
	$groupID=$_SESSION['groupID'];
	$facultyID=$_SESSION['myfaculty_id'];
	$departmentID=$_SESSION['mydepartment_id'];
	switch($groupID)
	{
		case 13://Dean PG
		      //$where="  AND p.level_id>6 ";
		      //$where.=" AND s.stdfaculty_id='$facultyID'";
		    break;
		case 9://Dean
		     //$where="  AND p.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     break;
		case 8://HOD
		     //$where="  AND p.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     $where.=" AND s.stddepartment_id='$departmentID'";

	}
	if($stateId)
	{

		$sql="select s.std_custome1,p.level_name from
		     students_profile as s,level as p
		     where s.std_custome1=p.level_id
		     and s.state_of_origin='$stateId'
		     $where
		     order by p.level_name";

		$ret=mysql_query($sql,$connect);
		 if(mysql_num_rows($ret)>0)
		 {
		 	while($d=mysql_fetch_assoc($ret))
		 	{
		 		if(!array_key_exists($d['level_name'],$innerdataset))
		 		{
		 			$innerdataset[$d['level_name']]=$d['std_custome1'];
		 		}
		 	}
		 }

		 if(count($innerdataset))
		 {
		 	 foreach($innerdataset as $key=>$val)
		 	 {
		 	 	$data=new stdClass();
		 	 	$data->maleCounter=get_number_males($val,$stateId);
		 	 	$data->femaleCounter=get_number_females($val,$stateId);
		 	 	$data->total=intval($data->maleCounter) + intval($data->femaleCounter);
		 	 	$dataset[$key]=$data;
		 	 }
		 }
		return $dataset;
	}

}
function get_number_males($levelId,$stateId)
{
	global $connect;
	$totalMale=0;

 $sql="SELECT count(gender)
       AS total
       FROM students_profile
       WHERE std_custome1='$levelId'
       AND state_of_origin='$stateId'
       AND gender='male'";
   $ret=mysql_query($sql,$connect);
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalMale=$d['total'];
    	}
    }
    return $totalMale;

}
function get_number_females($levelId,$stateId)
{
 global $connect;
	$totalFemale=0;

 $sql="SELECT count(gender)
       AS total
       FROM students_profile
       WHERE std_custome1='$levelId'
       AND state_of_origin='$stateId'
       AND gender='female'";
   $ret=mysql_query($sql,$connect);
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalFemale=$d['total'];
    	}
    }
    return $totalFemale;

}
function studentReportbylga($lgaId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	$where='';
	$groupID=$_SESSION['groupID'];
	$facultyID=$_SESSION['myfaculty_id'];
	$departmentID=$_SESSION['mydepartment_id'];
	switch($groupID)
	{
		case 13://Dean PG
		      $where="  AND t.level_id>6 ";
		      //$where.=" AND s.stdfaculty_id='$facultyID'";
		    break;
		case 9://Dean
		     $where="  AND t.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     break;
		case 8://HOD
		     $where="  AND t.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     $where.=" AND s.stddepartment_id='$departmentID'";

	}
	switch ((int)$sorttype)
	{
		case 1:
			//order by matric no

			     $orderby="s.matric_no";
			break;
		case 2:
			//order by surname
			        $orderby="s.surname";
			break;
		case 3:
			//order by othername or firstname
			       $orderby="s.firstname";
			break;
		case 4:
			// order by course of study
			         $orderby="u.programme_option";
			break;
		case 5:
			// order by level
			      $orderby="t.level_name";
			break;
		case 6:
			// order by gender
			      $orderby="s.gender";
			break;
			default:
				// normal query
				     $orderby="s.matric_no";

  }

      $sql="SELECT s.matric_no,s.surname,
				      CONCAT(s.firstname,' ',s.othernames)
				      AS othername,t.level_name,s.gender,u.programme_option,p.state_name,l.lga_name
				      FROM students_profile
				      AS s,level
				      AS t,dept_options
				      AS u,state as p,lga as l
				      WHERE s.std_custome1=t.level_id
				      AND s.state_of_origin=p.state_id
				      AND l.lga_id=s.local_gov
				      $where
				      AND s.stdcourse=u.do_id
				      AND s.local_gov='$lgaId'
				      ORDER BY $orderby";

      $ret=mysql_query($sql,$connect);
      if(mysql_num_rows($ret)>0)
      {
      	 while($d=mysql_fetch_assoc($ret))
      	 {
      	 	$data=new stdClass();
      	 	$data->studentMatricno=$d['matric_no'];
      	 	$data->studentSurname=$d['surname'];
      	 	$data->studentOthername=ucwords(strtolower($d['othername']));
      	 	$data->studentGender=$d['gender'];
      	 	$data->studentState=$d['state_name'];
      	 	$data->studentLga=$d['lga_name'];
      	 	$data->studentCourse=$d['programme_option'];
      	 	$data->studentLevel=$d['level_name'];
      	 	$dataset[]=$data;
      	 }
      }
      $pager->setRows($dataset);
      return $dataset;
}
function studentReportbyregistration($levelId,$facultyId,$departmentId,$studyId,$sessionId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//s ort by matric no

			      $orderby="p.matric_no";
			break;
		case 2:
			//sort by student firstname and surname

			      $orderby="p.surname";
			break;
		case 3:
			//sort by gender
			       $orderby="p.gender";
			break;
		case 4:
			//sort by state
			      $orderby="s.state_name";
		default:
			//normal query

			      $orderby="p.firstname";
	}

	 $sql="SELECT
			      CONCAT(p.surname,' ',p.firstname,' ',p.othernames)
			      AS name,p.gender,p.matric_no,l.level_name,d1.departments_name,
			      d2.programme_option,f.faculties_name,c.cyearsession,
			      SUM(c.c_unit)
			      AS totalunit,s.state_name
			      FROM state
			      AS s,level as l,dept_options as d2,
			      departments as d1,faculties as f,students_profile
			      AS p
			      LEFT JOIN course_reg
			      AS c
			      USING(std_id)
			      WHERE p.state_of_origin=s.state_id
			      AND c.clevel_id='$levelId'
                  AND l.level_id=p.std_custome1
                  AND p.stdfaculty_id=f.faculties_id
                  AND p.stddepartment_id=d1.departments_id
                  AND p.stdcourse=d2.do_id
			      AND c.cyearsession='$sessionId'
			      AND p.stdfaculty_id='$facultyId'
			      AND p.stddepartment_id='$departmentId'
			      AND p.stdcourse='$studyId'
			      GROUP BY p.matric_no ORDER BY $orderby";

	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentState=$d['state_name'];
	 	 	$data->studentFaculty=$d['faculties_name'];
	 	 	$data->studentDepartment=$d['departments_name'];
	 	 	$data->studentLevel=$d['level_name'];
	 	 	$data->studentSession=$d['cyearsession'];
	 	 	$data->studentCourse=$d['programme_option'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentTotalunits=$d['totalunit'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;

}
function studentReportbyfaculty($sessionId,$facultyId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p.gender";
			break;

		case 4:
			//sort by faculty
			     $orderby="s.faculties_name";
		default:
			//normal query
			   $orderby="p.firstname";
	}


			   $sql="SELECT
			      CONCAT(p.surname,' ',p.firstname,' ',p.othernames)
			      AS name,p.gender,p.matric_no,
			      SUM(c.c_unit)
			      AS totalunit,s.faculties_name
			      FROM faculties
			      AS s,students_profile
			      AS p
			      LEFT JOIN course_reg
			      AS c
			      USING(std_id)
			      WHERE p.stdfaculty_id=s.faculties_id
			      AND c.cyearsession='$sessionId'
			      AND p.stdfaculty_id='$facultyId'
			      GROUP BY p.matric_no ORDER BY $orderby";

	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentFaculty=$d['faculties_name'];
	 	 	$data->studentSession=$d['cyearsession'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentTotalunits=$d['totalunit'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}
function studentReportByFacultyandDepartment($sessionId,$facultyId,$departmentId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p.surname";
			break;
		case 5:
			//sort by gender
			      $orderby="p.gender";
			break;

		case 6:
			//sort by faculty
			     $orderby="s.faculties_name";
			 break;
	    case 7:
			//sort by department
			     $orderby="d.departments_name";
			 break;
		 case 3:
			//sort by  level
			     $orderby="p.std_custome1";
			 break;
		default:
			//normal query
			   $orderby="p.std_custome1";
	}


			   $sql="SELECT
			      CONCAT(p.surname,' ',p.firstname,' ',p.othernames)
			      AS name,p.gender,p.matric_no,l.level_name,d.departments_name,
			      SUM(c.c_unit)
			      AS totalunit,s.faculties_name
			      FROM departments
			      AS d ,level
			      AS l,faculties
			      AS s,students_profile
			      AS p
			      LEFT JOIN course_reg
			      AS c
			      USING(std_id)
			      WHERE p.stdfaculty_id=s.faculties_id
			      AND p.stddepartment_id=d.departments_id
			      AND p.std_custome1=l.level_id
			      AND c.cyearsession='$sessionId'
			      AND p.stdfaculty_id='$facultyId'
			      AND p.stddepartment_id='$departmentId'
			      GROUP BY p.matric_no ORDER BY $orderby";

	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentFaculty=$d['faculties_name'];
	 	 	$data->studentSession=$d['cyearsession'];
	 	 	$data->studentLevel=$d['level_name'];
	 	 	$data->studentDepartment=$d['departments_name'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentTotalunits=$d['totalunit'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}
function studentReportstat()
{

	$dataset;

	$facultyData=array();

    $facultyData=get_faculties();

	foreach ($facultyData as $item)
	{
		$id=intval($item->id);
		$dataset[$item->name.":".$id]=calculateStatistics($id);
	}
  return $dataset;

}
function subStudentReportstat($facultyId)
{
	$dataset=array();
	$facultyDepartments=get_departments($facultyId);
	foreach($facultyDepartments as $d)
	{
		$dataset[$d->departmentName]=subCalculateStatistics($d->departmentId);
	}
	return $dataset;

}
function subCalculateStatistics($departmentId)
{
  global $connect;
	$levelData=array();

	//get all the levels
	$allLevels=get_levels();
	foreach($allLevels as $item)
	{
		$levelData[$item->levelName]=0;
	}

	$sql="SELECT f.level_name,
	          COUNT(s.std_id)
	          AS total
	          FROM level
	          AS f
	          LEFT JOIN students_profile
	          AS s
	          ON f.level_id=s.std_custome1
	          WHERE s.stddepartment_id='$departmentId'
	         GROUP BY f.level_name";

	$ret=mysql_query($sql,$connect);
	if(mysql_num_rows($ret)>0)
	{
	   while($d=mysql_fetch_assoc($ret))
	   {
	   	   if(array_key_exists($d['level_name'],$levelData))
	   	   {
	   	   	  $levelData[$d['level_name']]=$d['total'];
	   	   }
	   }
	}
	   $totalvalue=array_sum($levelData);
	   $levelData['total']=$totalvalue;
	return $levelData;
}
function studentReportstat2()
{
	$dataset=array();
	$facultyList=get_faculties();

	$rawSession=get_current_session();
	$sessData=explode("/",$rawSession->session);
	$currentSession=$sessData[0];

	foreach($facultyList as $key)
	{
		$dataset[$key->name]=calculateRegstudents($key->id,$currentSession);

	}

	return $dataset;

}
function calculateRegstudents($facultyId,$sessionId)
{
	global $connect;
	$regData=0;
	/**
	$sql="SELECT
	      COUNT(DISTINCT c.std_id)
	      AS total
	      FROM faculties
	      AS f, students_profile
	      AS s
	      LEFT JOIN course_reg
	      AS c
	      USING(std_id)
	      WHERE c.cyearsession='$sessionId'
	      AND s.stdfaculty_id=f.faculties_id
	      AND s.stdfaculty_id='$facultyId'
	      GROUP BY f.faculties_name";
	*/
	$sql="SELECT COUNT(DISTINCT p.std_id)
	       AS total
	       FROM students_reg
	       AS p LEFT JOIN faculties
	       AS f
	       ON p.faculty_id=f.faculties_id
	       WHERE p.faculty_id='$facultyId'
	       AND p.yearsession='$sessionId'
	       ORDER BY f.faculties_name" ;


	   $ret=mysql_query($sql,$connect);
	   if(mysql_num_rows($ret)>0)
	   {
	   	  while($d=mysql_fetch_assoc($ret))
	   	  {
	   	  	 $regData=$d['total'];
	   	  }
	   }

	   return $regData;
}
function calculateStatistics($facultyID)
{
	global $connect;
	$levelData=array();

	//get all the levels
	$allLevels=get_levels();
	foreach($allLevels as $item)
	{
		$levelData[$item->levelName]=0;
	}

	$sql="SELECT f.level_name,
	          COUNT(s.std_id)
	          AS total
	          FROM level
	          AS f
	          LEFT JOIN students_profile
	          AS s
	          ON f.level_id=s.std_custome1
	          WHERE s.stdfaculty_id='$facultyID'
	         GROUP BY f.level_name"; echo $sql;

	$ret=mysql_query($sql,$connect);
	if(mysql_num_rows($ret)>0)
	{
	   while($d=mysql_fetch_assoc($ret))
	   {
	   	   if(array_key_exists($d['level_name'],$levelData))
	   	   {
	   	   	  $levelData[$d['level_name']]=$d['total'];
	   	   }
	   }
	}
	   $totalvalue=array_sum($levelData);
	   $levelData['total']=$totalvalue;
	return $levelData;
}
//util function


//modified
function studentStatereport($stateId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset=array();
	$sql="";
	$where='';
	$orderby='';
	$groupID=$_SESSION['groupID'];
	$facultyID=$_SESSION['myfaculty_id'];
	$departmentID=$_SESSION['mydepartment_id'];
	switch($groupID)
	{
		case 13://Dean PG
		     // $where="  AND l.level_id>6 ";
		      //$where.=" AND s.stdfaculty_id='$facultyID'";
		    break;
		case 9://Dean
		     //$where="  AND l.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     break;
		case 8://HOD
		     //$where="  AND l.level_id<=6 ";
		     $where.=" AND s.stdfaculty_id='$facultyID'";
		     $where.=" AND s.stddepartment_id='$departmentID'";

	}

	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			     $orderby=" ORDER BY s.matric_no";
			break;
		case 2:
			//sort by surname
			     $orderby=" ORDER BY s.surname";
			break;
		case 3:
			//sort by course
			    $orderby=" ORDER BY p.programme_option";
			break;
		case 4:
			//sort by level
			     $orderby=" ORDER BY l.level_id";
			break;
		case 5:
			//sort by gender
			      $orderby=" ORDER BY s.gender";
			break;
			default:
				$orderby=" ORDER BY s.matric_no";

	}

	 $sql="SELECT DISTINCT s.matric_no,s.surname,s.std_custome20,f.faculties_name,
	                  IF(s.std_custome1>6,'1','0') AS type,
				      CONCAT(s.firstname,' ',s.othernames)
				      AS name,p.programme_option,l.level_name,s.gender,s.local_gov,s.std_custome10,p2.state_name
				      FROM students_profile
				      AS s,dept_options
				      AS p,level
				      AS l,state as p2,	  
                       faculties AS f
                     WHERE s.stdcourse=p.do_id
				      $where
				      AND s.state_of_origin=p2.state_id
				      AND s.std_custome1=l.level_id
				      AND s.state_of_origin='$stateId'
					  AND ((s.std_custome19 = 'returning' )) 
					   AND s.std_custome1 < 5
					  AND f.faculties_id=s.stdfaculty_id
                       AND s.std_custome21 < 4
				      $orderby";

	   $ret=mysql_query($sql,$connect);
	   if(mysql_num_rows($ret)>0)
	   {
	   	 while($d=mysql_fetch_assoc($ret))
	   	 {
	   	 	 $data=new stdClass();
	   	 	  if($d['type'])
	   	 	  {
	   	 	   $data->studentMatricno=$d['std_custome20'];
	   	 	  }else
	   	 	  {
	   	 	  	$data->studentMatricno=$d['matric_no'];
	   	 	  }

	   	 	 $data->studentSurname=ucwords(strtolower($d['surname']));
	   	 	 $data->studentOthername=ucwords(strtolower($d['name']));
	   	 	 $data->studentCourse=$d['programme_option'];
	   	 	 $data->studentGender=$d['gender'];
	   	 	 $data->studentState=$d['state_name'];
	   	 	 $data->studentLevel=$d['level_name'];
			 $data->lga=$d['local_gov'];
			 $data->cgpa=$d['std_custome10'];
	   	 	 $dataset[]=$data;

	   	 }
	   }
	     $pager->setRows($dataset);
	   return $dataset;
}

function studentListByCourseCode($courseId,$sessionId,$sorttype=0)
{

	global $connect;
	global $pager;
	$dataset=array();
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			// sort by matric no

			     $orderby="ORDER BY s.matric_no";
			break;
		case 2:
			// sort by name

			      $orderby="ORDER BY s.surname";
			   break;
		case 3:
			//sort by course

			      $orderby="ORDER BY f.faculties_name";
			break;
		case 4:
			// sort by level

				     $orderby="ORDER BY pl.departments_name";
				   break;
		case 5:
			   $orderby="ORDER BY d.programme_option";
			break;
		case 6:
			   $orderby="ORDER BY l.level_name";
			break;
		case 7:
			  $orderby="ORDER BY s.gender";
			break;
			default:

				    $orderby="ORDER BY f.faculties_name";

	}
	$sql="SELECT
			distinct
	         s.matric_no
	        ,s.std_custome20
	        ,l.level_id
	        ,CONCAT(s.surname,' ',s.firstname)
	       as name,l.level_name,s.gender,d.programme_option,f.faculties_name
           ,pl.departments_name,c.cyearsession,c.c_unit,c.stdcourse_custom2
            from students_profile as s,course_reg as c,departments as pl,
            faculties as f,dept_options as d,level as l
            where s.std_id =c.std_id
            and c.thecourse_id='$courseId'
            and c.cyearsession='$sessionId'
            and pl.departments_id=s.stddepartment_id
             and f.faculties_id=s.stdfaculty_id
             and l.level_id=s.std_custome1
           and d.do_id=s.stdcourse
           $orderby";



	   $ret=mysql_query($sql,$connect);
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	  $data=new stdClass();
	    	  $data->studentName=ucwords(strtolower($d['name']));
	    	  if($d['level_id']>6)
	    	  {

	    	    $data->studentMatricno=$d['std_custome20'];

	    	  }else
	    	  {
	    	  	$data->studentMatricno=$d['matric_no'];
	    	  }

	    	  $data->studentCourse=$d['programme_option'];
	    	  $data->studentLevel=$d['level_name'];
	    	  $data->studentDepartment=$d['departments_name'];
	    	  $data->studentFaculty=$d['faculties_name'];
	    	  $data->studentGender=$d['gender'];
	    	  $data->studentCreditunit=$d['c_unit'];
	    	  $data->studentCoursecode=$d['stdcourse_custom2'];
	    	  $data->studentSession=$d['cyearsession'];
	    	  $dataset[]=$data;
	    	}
	    }
	    $pager->setRows($dataset);
	    return $dataset;
}
function studentCoursereport($facultyId,$sessionId,$departmentId,$courseId,$sorttype=0)
{
	global $connect;
	global $pager;
	 $dataset=array();
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			// sort by matric no

			     $orderby="ORDER BY s.matric_no";
			break;
		case 2:
			// sort by name

			      $orderby="ORDER BY s.surname";
			   break;
		case 3:
			//sort by course

			      $orderby="ORDER BY d.programme_option";
			break;
		case 4:
			// sort by level

				     $orderby="ORDER BY l.level_name";
				   break;
			default:

				    $orderby="ORDER BY l.level_name";

	}

	   $sql="SELECT
	         	DISTINCT
	         	s.std_id,s.matric_no,
	         	s.std_custome20,
	         	IF(s.std_custome1>6,'1','0') AS type,
	         	CONCAT(s.surname,' ',s.firstname,' ',s.othernames) AS name
	         	,d.programme_option,l.level_name
	         	,p1.departments_name,p2.faculties_name
	         	,c.cyearsession
	         FROM students_profile
	                   AS s,
	                   course_reg AS c
	                   ,departments AS p1
	                   ,faculties AS p2
	                   ,dept_options AS d
	                   ,level AS l
	         WHERE s.stddepartment_id='$departmentId'
	         AND s.std_id=c.std_id
	         AND s.stdfaculty_id='$facultyId'
             AND s.stdfaculty_id=p2.faculties_id
             AND s.stddepartment_id=p1.departments_id
	         AND s.stdcourse='$courseId'
	         AND s.stdcourse=d.do_id
	         AND s.std_custome1=l.level_id
	         AND c.cyearsession='$sessionId'
	                    $orderby";

	   $ret=mysql_query($sql,$connect);
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	  $data=new stdClass();
	    	  $data->studentName=ucwords(strtolower($d['name']));
	    	  if($d['type'])
	    	  {
	    	    $data->studentMatricno=$d['std_custome20'];
	    	  }else
	    	  {
	    	  	$data->studentMatricno=$d['matric_no'];
	    	  }

	    	  $data->studentCourse=$d['programme_option'];
	    	  $data->studentLevel=$d['level_name'];
	    	  $data->studentDepartment=$d['departments_name'];
	    	  $data->studentFaculty=$d['faculties_name'];
	    	  $data->studentSession=$d['cyearsession'];
	    	  $data->studentRegisteredcourse=get_registered_courses($d['std_id'],$sessionId);
	    	  $dataset[]=$data;
	    	}
	    }
	    $pager->setRows($dataset);
	    return $dataset;
}
function get_registered_courses($studentId,$sid)
{
	global $connect;
	$dataset=array();
	//$currentSession=get_current_session();
	//$sessionArr=explode("/",$currentSession->session);
	//$currSession=$sessionArr[0];
	$sql="SELECT stdcourse_custom2
	      FROM course_reg
	      WHERE std_id='$studentId'
	      AND cyearsession='$sid'
	      ORDER BY stdcourse_custom2";

	$ret=mysql_query($sql,$connect);
	if(mysql_num_rows($ret)>0)
	{
		while($d=mysql_fetch_assoc($ret))
		{
			$dataset[]=$d['stdcourse_custom2'];
		}
	}
	return join(",",$dataset);
}
function studentStateStatistics()
{

	//global $pager;
	$dataset=array();
	$allStates=get_states();
	foreach($allStates as $key)
	{
		$data=new stdClass();
		$data->totalMale=getTotalmale($key->stateId);
		$data->totalFemale=getTotalfemale($key->stateId);
		$data->total=intval($data->totalMale) + intval($data->totalFemale);
		$dataset[$key->stateName]=$data;
	}

	 //$pager->setRows($dataset);
	 return $dataset;

}
function getTotalmale($stateId)
{
	global $connect;
	$totalMale=0;

 $sql="SELECT count(gender)
       AS total
       FROM students_profile
       WHERE state_of_origin='$stateId'
       AND gender='male'
	    AND std_custome1 < 5
		AND std_custome21 < 4";
   $ret=mysql_query($sql,$connect);
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalMale=$d['total'];
    	}
    }
    return $totalMale;
}
function getTotalfemale($stateId)
{
	global $connect;
	$totalFemale=0;

 $sql="SELECT count(gender)
       AS total
       FROM students_profile
       WHERE state_of_origin='$stateId'
       AND gender='female'
	   AND std_custome1 < 5
		AND std_custome21 < 4";
   $ret=mysql_query($sql,$connect);
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalFemale=$d['total'];
    	}
    }
    return $totalFemale;
}
function studentStatisticsbyregistration($sessionId)
{
	$dataset=array();
	$allFaculties=get_faculties();

	foreach($allFaculties as $faculty)
	{
		$dataset[$faculty->name.":".$faculty->id]=getStatistics($faculty->id,$sessionId);//calStatistics($faculty->id,$sessionId);
	}

	return $dataset;
}
function studentStatisticsbyregistration2($sessionId,$facultyId)
{
	$dataset=array();
	$facultyDepartments=get_departments($facultyId);

	foreach($facultyDepartments as $d)
	{
		$dataset[$d->departmentName]=getStatistics2($d->departmentId,$sessionId);//calStatistics2($d->departmentId,$sessionId);
	}

	return $dataset;
}
function studentReportbycourseregistration($sessionId,$levelId,$coursecodeId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset=array();
	//$sql="";
	$orderby='';
	switch((int)$sorttype)
	{
		case 1:
			//sort by registration number
			    $orderby=" ORDER BY p1.matric_no";
			break;
		case 2:
			//sort by student surname
			   $orderby="ORDER BY p1.surname";
			break;
		case 3:
			//sort by course of study
			   $orderby="ORDER BY p4.programme_option";
			break;
		case 4:
			//sort by level
			   $orderby="ORDER BY p3.level_name";
			break;
		case 5:
			//sort by category
			  $orderby="ORDER BY p2.stdcourse_custom3";
			break;
		case 6:
			//sort by credit unit
			    $orderby="ORDER BY p2.c_unit";
			break;
		case 7:
			//sort by gender
			   $orderby="ORDER BY p1.gender";
			break;
		default:
			  $orderby="ORDER BY p4.programme_option";
	}

	$sql="SELECT p1.matric_no,p1.gender,p1.std_custome20,
	              IF(p1.std_custome1>6,'1','0') AS type,
			     CONCAT(p1.surname,' ',p1.firstname,' ',p1.othernames)
			     AS name,p2.stdcourse_custom3,p2.c_unit,p2.csemester,p3.level_name,p4.programme_option,
			        p5.departments_name,p6.faculties_name,p2.stdcourse_custom2,p2.cyearsession
			     FROM course_reg
			     AS p2,students_profile
			     AS p1,dept_options
			     AS p4,level
			     AS p3,departments
			     AS p5,faculties
			     AS p6
			     WHERE p1.std_id=p2.std_id
			     AND p2.thecourse_id='$coursecodeId'
			     AND p1.std_custome1=p3.level_id
			     AND p1.stdfaculty_id=p6.faculties_id
			     AND p1.stddepartment_id=p5.departments_id
			     AND p1.stdcourse=p4.do_id
			     AND p2.cyearsession='$sessionId'
			     AND p2.clevel_id='$levelId'
			     $orderby";

	$ret=mysql_query($sql,$connect);
	if(mysql_num_rows($ret)>0)
	{
		while($d=mysql_fetch_assoc($ret))
		{
			$data=new stdClass();
			if($d['type'])
			{
				$data->studentMatricno=$d['std_custome20'];
			}else
			{
			$data->studentMatricno=$d['matric_no'];
			}
			$data->studentName=ucwords(strtolower($d['name']));
			$data->studentUnit=$d['c_unit'];
			$data->studentSemester=$d['csemester'];
			$data->studentLevel=$d['level_name'];
			$data->studentCourse=$d['programme_option'];
			$data->studentCoursecode=$d['stdcourse_custom2'];
			$data->studentDepartment=$d['departments_name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentSession=$d['cyearsession'];
			$data->studentGender=$d['gender'];
			$data->studentCoursecategory=$d['stdcourse_custom3'];
			$dataset[]=$data;

		}
	}
	$pager->setRows($dataset);
	return $dataset;

}
function calStatistics($facultyId,$sessionId)
{
	global $connect;
	$allLevels=get_levels();
	$dataset=array();

	foreach($allLevels as $l)
	{
		$dataset[$l->levelName]=0;
	}



	    $sql="SELECT COUNT(DISTINCT p.std_id)
	         AS total ,l.level_name
	         FROM students_profile
               AS p LEFT JOIN level as l
               on p.std_custome1=l.level_id
               WHERE p.stdfaculty_id='$facultyId'
               AND   p.std_custome2='$sessionId'
             GROUP BY l.level_name";

	  $ret=mysql_query($sql,$connect);
	  if(mysql_num_rows($ret)>0)
	  {
	  	 while($d=mysql_fetch_assoc($ret))
	  	 {
	  	 	 if(array_key_exists($d['level_name'],$dataset))
	  	 	 {
	  	 	 	$dataset[$d['level_name']]=$d['total'];
	  	 	 }
	  	 }
	  }
	  $totalnum=array_sum($dataset);
	  $dataset['total']=$totalnum;
	  return $dataset;
}
/* get statistics for both  new and returning students by faculty*/
function get_student_registration_f($studentType=1)
{
	$dataset=array();
	//get the current session
	$sessObj=get_current_session()->session;
	$sessArr=explode("/",$sessObj);
	$sessionId=$sessArr[0];

	$facultyList=get_faculties();
	foreach($facultyList as $f)
	{
		$dataset[$f->name.":".$f->id]=find_student_population_f($f->id,$sessionId,$studentType);
	}
	return $dataset;

}
/* get statistics for both new and returning students by department*/
function get_student_registration_d($facultyId,$studentType=1)
{
	$dataset=array();
	//get the current session
	$sessObj=get_current_session()->session;
	$sessArr=explode("/",$sessObj);
	$sessionId=$sessArr[0];

	$departmentList=get_departments($facultyId);

	foreach($departmentList as $d)
	{
		$dataset[$d->departmentName]=find_student_population_d($d->departmentId,$sessionId,$studentType);
	}
	return $dataset;
}
/* compute the statistics by faculty */
function find_student_population_f($facultyId,$sessionID,$studentType=0)
{
	$dataset=array();
	//get all levels and initialise the dataset
	$levelList=get_levels();
	global $connect;
	$student_type='';

	switch ((int)$studentType)
	{
		case 1:
			// fetching new student
			$student_type="new";
			break;
		case 2:
			//fetching returning student
			$student_type="returning";
			break;
			default:
				//defaults to new student
				$student_type="new";
	}


	foreach($levelList as $l)
	{
		$dataset[$l->levelName]=0;
	}

	$sql="SELECT
	      COUNT(DISTINCT p1.std_id)
	      AS total,l.level_name
	      FROM  students_profile
	      AS p2,students_reg
	      AS p1
	      LEFT JOIN level
	      AS l
	      ON
	      p1.level_id=l.level_id
	      WHERE p1.faculty_id='$facultyId'
	      AND p1.yearsession='$sessionID'
	      AND p1.std_id=p2.std_id
	      AND p2.std_custome19='$student_type'
	      GROUP BY l.level_name";

	   $ret=mysql_query($sql,$connect);
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	    if(array_key_exists($d['level_name'],$dataset))
	  	 	    {
	  	 	 	  $dataset[$d['level_name']]=$d['total'];
	  	 	    }
	    	}
	    }
	    $totalnum=array_sum($dataset);
	    $dataset['total']=$totalnum;
	    return $dataset;

}
/* computes statistics by department */
function find_student_population_d($departmentId,$sessionID,$studentType=1)
{
	$dataset=array();
	//get all levels and initialise the dataset
	$levelList=get_levels();
	global $connect;
	$student_type='';

	switch ((int)$studentType)
	{
		case 1:
			// fetching new student
			$student_type="new";
			break;
		case 2:
			//fetching returning student
			$student_type="returning";
			break;
			default:
				//defaults to new student
				$student_type="new";
	}


	foreach($levelList as $l)
	{
		$dataset[$l->levelName]=0;
	}

	$sql="SELECT
	      COUNT(DISTINCT p1.std_id)
	      AS total,l.level_name
	      FROM  students_profile
	      AS p2,students_reg
	      AS p1
	      LEFT JOIN level
	      AS l
	      ON
	      p1.level_id=l.level_id
	      WHERE p1.department_id='$departmentId'
	      AND p1.yearsession='$sessionID'
	      AND p1.std_id=p2.std_id
	      AND p2.std_custome19='$student_type'
	      GROUP BY l.level_name";

	   $ret=mysql_query($sql,$connect);
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	    if(array_key_exists($d['level_name'],$dataset))
	  	 	    {
	  	 	 	  $dataset[$d['level_name']]=$d['total'];
	  	 	    }
	    	}
	    }
	    $totalnum=array_sum($dataset);
	    $dataset['total']=$totalnum;
	    return $dataset;
}
/* computes the number of registered student per faculty and all levels*/
function getStatistics($facultyId,$sessionId)
{
	global $connect;
	$allLevels=get_levels();
	$dataset=array();

	foreach($allLevels as $l)
	{
		$dataset[$l->levelName]=0;
	}



	    $sql="SELECT COUNT(DISTINCT p.std_id)
	          AS total ,l.level_name
	          FROM students_reg
              AS p LEFT JOIN level as l
              on p.level_id=l.level_id
              WHERE p.faculty_id='$facultyId'
              AND   p.yearsession='$sessionId'
              GROUP BY l.level_name";

	  $ret=mysql_query($sql,$connect);
	  if(mysql_num_rows($ret)>0)
	  {
	  	 while($d=mysql_fetch_assoc($ret))
	  	 {
	  	 	 if(array_key_exists($d['level_name'],$dataset))
	  	 	 {
	  	 	 	$dataset[$d['level_name']]=$d['total'];
	  	 	 }
	  	 }
	  }
	  $totalnum=array_sum($dataset);
	  $dataset['total']=$totalnum;
	  return $dataset;
}
/* computes the number of registered students per department and all levels*/
function getStatistics2($departmentId,$sessionId)
{
	global $connect;
	$allLevels=get_levels();
	$dataset=array();

	foreach($allLevels as $l)
	{
		$dataset[$l->levelName]=0;
	}



	    $sql="SELECT COUNT(DISTINCT p.std_id)
	         AS total ,l.level_name
	         FROM students_reg
               AS p LEFT JOIN level as l
               on p.level_id=l.level_id
               WHERE p.department_id='$departmentId'
               AND   p.yearsession='$sessionId'
             GROUP BY l.level_name";

	  $ret=mysql_query($sql,$connect);
	  if(mysql_num_rows($ret)>0)
	  {
	  	 while($d=mysql_fetch_assoc($ret))
	  	 {
	  	 	 if(array_key_exists($d['level_name'],$dataset))
	  	 	 {
	  	 	 	$dataset[$d['level_name']]=$d['total'];
	  	 	 }
	  	 }
	  }
	  $totalnum=array_sum($dataset);
	  $dataset['total']=$totalnum;
	  return $dataset;
}
function calStatistics2($departmentId,$sessionId)
{
  global $connect;
	$allLevels=get_levels();
	$dataset=array();

	foreach($allLevels as $l)
	{
		$dataset[$l->levelName]=0;
	}



	    $sql="SELECT COUNT(DISTINCT p.std_id)
	         AS total ,l.level_name
	         FROM students_profile
               AS p LEFT JOIN level as l
               on p.std_custome1=l.level_id
               WHERE p.stddepartment_id='$departmentId'
               AND   p.std_custome2='$sessionId'
             GROUP BY l.level_name";

	  $ret=mysql_query($sql,$connect);
	  if(mysql_num_rows($ret)>0)
	  {
	  	 while($d=mysql_fetch_assoc($ret))
	  	 {
	  	 	 if(array_key_exists($d['level_name'],$dataset))
	  	 	 {
	  	 	 	$dataset[$d['level_name']]=$d['total'];
	  	 	 }
	  	 }
	  }
	  $totalnum=array_sum($dataset);
	  $dataset['total']=$totalnum;
	  return $dataset;
}
function frontEndStat()
{
	global $connect;
	$dataset=array();

	$sql="SELECT f.faculties_name,
	     COUNT(s.stdfaculty_id)
	     AS total
	     FROM faculties
	     AS f
	     LEFT JOIN students_profile
	     AS s
	     ON f.faculties_id=s.stdfaculty_id
		 AND s.std_custome21 < 4
	     GROUP BY f.faculties_name";

	$ret=mysql_query($sql,$connect);
	if(mysql_num_rows($ret)>0)
	{
		while($d=mysql_fetch_assoc($ret))
		{
			$data=new stdClass();
			$data->facultyName=$d['faculties_name'];
			$data->facultyTotal=$d['total'];
			$dataset[]=$data;
		}
	}
	return $dataset;
}
/* Generate student list based on payment by programme type - Added by Bamido Yemi*/
function generalReportbypayment($sessionId,$programmeId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p1.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p1.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p1.gender";
			break;

		case 4:
			//sort by faculty
			     $orderby="p2.faculties_name";
		default:
			//normal query
			   $orderby="p1.firstname";
	}
        $where='';
	$groupID=$_SESSION['groupID'];
	$facultyID=$_SESSION['myfaculty_id'];
	$departmentID=$_SESSION['mydepartment_id'];
	switch($groupID)
	{
		case 13://Dean PG
		      $where="  AND p1.std_custome1>6 ";
                      //$where.=" AND p1.stdfaculty_id='$facultyID'";
		    break;
		case 9://Dean
		     //$where="  AND p1.std_custome1<=6 ";
		     $where.=" AND p1.stdfaculty_id='$facultyID'";
		     break;
		case 8://HOD
		     //$where="  AND p.level_id<=6 ";
		     $where.=" AND p1.stdfaculty_id='$facultyID'";
		     $where.=" AND p1.stddepartment_id='$departmentID'";

	}

		$sql="SELECT p1.std_id, p1.matric_no,
		concat(p1.surname,' ',p1.firstname,' ',p1.othernames) as name ,
		p1.gender, p1.marital_status, p1.birthdate,
		p1.local_gov, p8.state_name, p1.nationality,
		p1.std_custome3 as mode_of_entry, p1.std_custome18 as year_of_entry, p1.std_custome9 as jamb_no, p1.std_custome10 as jamb_score,
		p4.level_name, p2.faculties_name, p3.departments_name, 		p6.programme_option as course_of_study,
		p1.std_custome19 as student_type, p9.stdstatus_name as student_status, p1.std_custome20 as PG_onlineID,
		p10.programmet_name

		from students_profile as p1,
		faculties as p2,
		departments as p3,
		level as p4,
		dept_options as p6,
		transaction as p7,
		state as p8,
		student_status as p9,
		programme_type as p10

		where p1.std_id= p7.user_id
		and p1.state_of_origin=p8.state_id
		and p1.stdfaculty_id=p2.faculties_id
		and p1.stddepartment_id=p3.departments_id
		and p1.stdcourse=p6.do_id
		and p1.std_custome1=p4.level_id
		and p1.stdprogramme_id='$programmeId'
		and p1.std_custome21=p9.stdstatus_id
		and p1.stdprogramme_type_id=p10.programmet_id 
                $where
		and p7.trans_year='$sessionId'
		and p7.trans_custom19!='1'
		and p7.trans_custom1='Paid'
		GROUP BY p7.user_id ORDER BY $orderby";

	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMaritalStatus=$d['marital_status'];
			$data->studentBirthdate=$d['birthdate'];
			$data->studentLga=$d['local_gov'];
			$data->studentState=$d['state_name'];
			$data->studentNationality=$d['nationality'];
			$data->studentEntryMode=$d['mode_of_entry'];
			$data->studentEntryYear=$d['year_of_entry'];
			$data->studentJambNo=$d['jamb_no'];
			$data->studentJambScore=$d['jamb_score'];
			$data->studentLevel=$d['level_name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
			$data->studentStatus=$d['student_status'];
			$data->studentType=$d['student_type'];
			$data->studentPG_onlineID=$d['PG_onlineID'];
			$data->studentProgrammeType=$d['programmet_name'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}

/* Generate Staff on training list - Added by Bamido Yemi*/
function staffontraining($sessionId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p1.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p1.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p1.gender";
			break;

		case 4:
			//sort by faculty
			     $orderby="p2.faculties_name";
		default:
			//normal query
			   $orderby="p1.firstname";
	}


		$sql="SELECT DISTINCT p1.std_id, p1.matric_no,
		concat(p1.surname,' ',p1.firstname,' ',p1.othernames) as name ,
		p1.gender, p1.marital_status, p1.birthdate,
		p1.local_gov, p8.state_name, p1.nationality,
		p1.std_custome3 as mode_of_entry, p1.std_custome18 as year_of_entry, p1.std_custome9 as jamb_no, p1.std_custome10 as jamb_score,
		p4.level_name, p2.faculties_name, p3.departments_name, p6.programme_option as course_of_study,
		p1.std_custome19 as student_type, p9.stdstatus_name as student_status, p1.std_custome20 as PG_onlineID

		from students_profile as p1,
		faculties as p2,
		departments as p3,
		level as p4,
		programme as p5,
		dept_options as p6,
		state as p8,
		student_status as p9

		where p1.std_custome1>6
		and p1.std_custome17='waived'
		and p1.state_of_origin=p8.state_id
		and p1.stdfaculty_id=p2.faculties_id
		and p1.stddepartment_id=p3.departments_id
		and p1.stdcourse=p6.do_id
		and p1.std_custome1=p4.level_id
		and p1.std_custome21=p9.stdstatus_id
		ORDER BY $orderby";

	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMaritalStatus=$d['marital_status'];
			$data->studentBirthdate=$d['birthdate'];
			$data->studentLga=$d['local_gov'];
			$data->studentState=$d['state_name'];
			$data->studentNationality=$d['nationality'];
			$data->studentEntryMode=$d['mode_of_entry'];
			$data->studentEntryYear=$d['year_of_entry'];
			$data->studentJambNo=$d['jamb_no'];
			$data->studentJambScore=$d['jamb_score'];
			$data->studentLevel=$d['level_name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
			$data->studentStatus=$d['student_status'];
			$data->studentType=$d['student_type'];
			$data->studentPG_onlineID=$d['PG_onlineID'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}

/* Generate student list - Medical History Based on Faculty - Added by Bamido Yemi*/
function medicalHistory($facultyId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p1.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p1.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p1.gender";
			break;
		
		case 4:
			//sort by faculty
			     $orderby="p2.faculties_name";
		default:
			//normal query
			   $orderby="p1.firstname";
	}
	
	 
		$sql="SELECT p1.std_id, p1.matric_no, 
		concat(p1.surname,' ',p1.firstname,' ',p1.othernames) as name , 
		p1.gender, p1.marital_status, p1.birthdate, 
		p1.local_gov, p8.state_name, p1.nationality, 
		p4.level_name, p2.faculties_name, p3.departments_name, p6.programme_option as course_of_study, 
		p1.std_custome20 as PG_onlineID, p1.student_email, p1.blood_group, p1.geno_type, p1.student_mobiletel,
		p1.next_of_kin, p1.nok_tel, p7.ailment_id,
		p1.std_custome4 as photograph, p1.signature
		
		from students_profile as p1, 
		faculties as p2, 
		departments as p3, 
		level as p4,
		programme as p5,
		dept_options as p6,
		medical_history as p7,
		state as p8,
		student_status as p9
		
		where p1.std_id= p7.std_id 
	
		and p1.state_of_origin=p8.state_id 
		and p1.stdfaculty_id=p2.faculties_id 
		and p1.stddepartment_id=p3.departments_id
		and p1.stdcourse=p6.do_id
		and p1.std_custome1=p4.level_id 
		and p1.stdprogramme_id=p5.programme_id
		and p1.stdfaculty_id='$facultyId' 
		and p1.std_custome21=p9.stdstatus_id
		ORDER BY $orderby";
			   
	 $ret=mysql_query($sql,$connect) or die(mysql_error());
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			
			$data->studentID=$d['std_id'];
	 	 	$data->studentName=$d['name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
			$data->studentBirthdate=$d['birthdate'];
	 	 	$data->studentGender=$d['gender'];
			$data->studentLevel=$d['level_name'];
			$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentPG_onlineID=$d['PG_onlineID'];
			$data->studentEmail=$d['student_email'];
			$data->studentBloodGroup=$d['blood_group'];
			$data->studentGenoType=$d['geno_type'];
			$data->studentMobile=$d['student_mobiletel'];
			$data->studentNextofkin=$d['next_of_kin'];
			$data->studentNextofkinMobile=$d['nok_tel'];
			
			$data->studentAilmentID=$d['ailment_id'];
			$data->studentPrevSurgOperation=$d['prev_surgical_operation'];
			$data->studentOperationType=$d['operation_type'];
			$data->studentOperationYear=$d['operation_year'];
			
			$data->studentPhotograph=$d['photograph'];
			$data->studentSignature=$d['signature'];
				 	 	
	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}


/* Generate student list - Medical History Based on Faculty - Added by Bamido Yemi*/
function medicalHistoryByMatric($matricId)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	
	 
		$sql="SELECT p1.std_id, p1.matric_no, 
		concat(p1.surname,' ',p1.firstname,' ',p1.othernames) as name , 
		p1.gender, p1.marital_status, p1.birthdate, 
		p1.local_gov, p8.state_name, p1.nationality, 
		p4.level_name, p2.faculties_name, p3.departments_name, p6.programme_option as course_of_study, 
		p1.std_custome20 as PG_onlineID, p1.student_email, p1.blood_group, p1.geno_type, p1.student_mobiletel,
		p1.next_of_kin, p1.nok_tel, p7.ailment_id,
		p1.std_custome4 as photograph, p1.signature
		
		from students_profile as p1, 
		faculties as p2, 
		departments as p3, 
		level as p4,
		programme as p5,
		dept_options as p6,
		medical_history as p7,
		state as p8,
		student_status as p9
		
		where p1.std_id= p7.std_id 
	
		and p1.state_of_origin=p8.state_id 
		and p1.stdfaculty_id=p2.faculties_id 
		and p1.stddepartment_id=p3.departments_id
		and p1.stdcourse=p6.do_id
		and p1.std_custome1=p4.level_id 
		and p1.stdprogramme_id=p5.programme_id
		and p1.std_custome21=p9.stdstatus_id
		and p1.matric_no='$matricId'
		";
			   //var_dump($sql); exit;
	 $ret=mysql_query($sql,$connect) or die(mysql_error());
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			
			$data->studentID=$d['std_id'];
	 	 	$data->studentName=$d['name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
			$data->studentBirthdate=$d['birthdate'];
	 	 	$data->studentGender=$d['gender'];
			$data->studentLevel=$d['level_name'];
			$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentPG_onlineID=$d['PG_onlineID'];
			$data->studentEmail=$d['student_email'];
			$data->studentBloodGroup=$d['blood_group'];
			$data->studentGenoType=$d['geno_type'];
			$data->studentMobile=$d['student_mobiletel'];
			$data->studentNextofkin=$d['next_of_kin'];
			$data->studentNextofkinMobile=$d['nok_tel'];
			
			$data->studentAilmentID=$d['ailment_id'];
			$data->studentPrevSurgOperation=$d['prev_surgical_operation'];
			$data->studentOperationType=$d['operation_type'];
			$data->studentOperationYear=$d['operation_year'];
			
			$data->studentPhotograph=$d['photograph'];
			$data->studentSignature=$d['signature'];
				 	 	
	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}

/* Generate student list - Photo-Album Based on Faculty, Dept, Field of Study - Added by Bamido Yemi*/
function photoAlbum($facultyId,$departmentId,$courseId,$levelId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p1.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p1.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p1.gender";
			break;
		
		case 4:
			//sort by faculty
			     $orderby="p2.faculties_name";
		default:
			//normal query
			   $orderby="p1.firstname";
	}
	
	 
		$sql="SELECT p1.std_id, p1.matric_no, 
		concat(p1.surname,' ',p1.firstname,' ',p1.othernames) as name , 
		p1.gender, p1.marital_status, p1.birthdate, 
		p1.local_gov, p8.state_name, p1.nationality, 
		p4.level_name, p2.faculties_name, p3.departments_name, p6.programme_option as course_of_study, 
		p1.std_custome20 as PG_onlineID, p1.student_email, p1.student_mobiletel,
		p1.next_of_kin, p1.nok_tel,	p1.std_custome4 as photograph, p1.signature
		
		from students_profile as p1, 
		faculties as p2, 
		departments as p3, 
		level as p4,
		programme as p5,
		dept_options as p6,
		state as p8,
		student_status as p9
		
		where p1.state_of_origin=p8.state_id 
		and p1.stdfaculty_id=p2.faculties_id 
		and p1.stddepartment_id=p3.departments_id
		and p1.stdcourse=p6.do_id
		and p1.std_custome1=p4.level_id 
		and p1.stdprogramme_id=p5.programme_id
		and p1.stdfaculty_id='$facultyId'
		and p1.stddepartment_id='$departmentId'
		and p1.stdcourse='$courseId' 
		and p1.std_custome1='$levelId' 		
		and p1.std_custome21=p9.stdstatus_id
		and p1.std_custome21 < 4
		ORDER BY $orderby";
			   
	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			
			$data->studentID=$d['std_id'];
	 	 	$data->studentName=$d['name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
			$data->studentBirthdate=$d['birthdate'];
	 	 	$data->studentGender=$d['gender'];
			$data->studentLevel=$d['level_name'];
			$data->studentMatricno=$d['matric_no'];
	 	 	$data->studentPG_onlineID=$d['PG_onlineID'];
			$data->studentEmail=$d['student_email'];
			$data->studentBloodGroup=$d['blood_group'];
			$data->studentGenoType=$d['geno_type'];
			$data->studentMobile=$d['student_mobiletel'];
			$data->studentNextofkin=$d['next_of_kin'];
			$data->studentNextofkinMobile=$d['nok_tel'];
					
			$data->studentPhotograph=$d['photograph'];
			$data->studentSignature=$d['signature'];
				 	 	
	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}

/* Generate student list - Course Registration Based on Session and Course Code - Added by Bamido Yemi*/
function getCourseReg($courseId,$sessionId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p1.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p1.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p1.gender";
			break;
		
		case 4:
			//sort by faculty
			     $orderby="p2.faculties_name";
		default:
			//normal query
			   $orderby="p1.firstname";
	}
	
	 
		$sql="select p1.std_id, p1.matric_no, concat(p1.surname,' ',p1.firstname,' ',p1.othernames)
			as name , p1.gender,
			p4.level_name, p2.faculties_name, p3.departments_name, p6.programme_option
			as course_of_study, p1.std_custome20 as PG_onlineID
			from students_profile as p1,
			faculties as p2,
			departments as p3,
			level as p4,
			programme as p5,
			dept_options as p6,
			course_reg as p7

			where p1.std_id= p7.std_id
			and p7.stdcourse_custom2='$courseId'
			and p7.cyearsession='$sessionId'
			and p1.stdfaculty_id=p2.faculties_id
			and p1.stddepartment_id=p3.departments_id
			and p1.stdcourse=p6.do_id
			and p1.std_custome1=p4.level_id
			and p1.stdprogramme_id=p5.programme_id
		ORDER BY $orderby";
			   
	 $ret=mysql_query($sql,$connect);
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
			
			$data->studentID=$d['std_id'];
	 	 	$data->studentMatricno=$d['matric_no'];
			$data->studentName=$d['name'];
			$data->studentGender=$d['gender'];
			$data->studentLevel=$d['level_name'];
			$data->studentFaculty=$d['faculties_name'];
			$data->studentDept=$d['departments_name'];
			$data->studentCourse=$d['course_of_study'];
	 	 	$data->studentPG_onlineID=$d['PG_onlineID'];
			
	 	 	
				 	 	
	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}
function getAccountDetails()
{
    global $connect;
    global $pager;
    $dataset=array();

    $currentSession=get_current_session();
    $sessionArr=explode("/",$currentSession->session);
    $currSession=$sessionArr[0];
	
	$currSession = $currSession;
	
    $where='';
    $groupID=$_SESSION['groupID'];
    $facultyID=$_SESSION['myfaculty_id'];
    $departmentID=$_SESSION['mydepartment_id'];
    switch($groupID)
    {
        case 13://Dean PG
            //$where="AND p1.stdfaculty_id='$facultyID' ";
            //$where.=" AND p1.std_custome1>6";
            break;
        case 9://Dean
           // $where="AND p1.stdfaculty_id='$facultyID'";
            break;
        case 8://HOD
           // $where="AND p1.stdfaculty_id='$facultyID' ";
            //$where.="  AND p1.stddepartment_id='$departmentID'";
			break;
            default:
                $where='';
            }

            $orderby="";
            $sql="SELECT DISTINCT
           p1.log_id
           ,CONCAT(p1.log_surname,', ',p1.log_othernames) AS name
           ,p1.log_username
           ,p1.std_id
		  ,p1.log_email 
		  
          FROM login AS p1
            		
			ORDER BY p1.log_id";
            $ret=mysql_query($sql,$connect);
            if(mysql_num_rows($ret)>0)
            {
                while($d=mysql_fetch_assoc($ret))
                {
                    $data=new stdClass();
                    $data->studentId=$d['log_id'];
                    $data->studentstd_id=$d['std_id'];
                    $data->studentName=ucwords(strtolower($d['name']));
               
					
					$data->studentEmail=$d['log_email'];	
					$data->studentUsername=$d['log_username'];	
							
                    $dataset[]=$data;
                }
            }
            $pager->setRows($dataset);
            return $dataset;
        }
		
		function studentCoursereportByLevel($facultyId,$sessionId,$departmentId,$courseId,$csLevel,$sorttype=0)
{
	global $connect;
	global $pager;
	 $dataset=array();
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			// sort by matric no

			     $orderby="ORDER BY s.matric_no";
			break;
		case 2:
			// sort by name

			      $orderby="ORDER BY s.surname";
			   break;
		case 3:
			//sort by course

			      $orderby="ORDER BY d.programme_option";
			break;
		case 4:
			// sort by level

				     $orderby="ORDER BY l.level_name";
				   break;
			default:

				    $orderby="ORDER BY l.level_name";

	}

	   $sql="SELECT 
				
	         	DISTINCT
				
	         	s.std_id,s.matric_no,
	         	s.std_custome20,
	         	IF(s.std_custome1>6,'1','0') AS type,
	         	CONCAT(s.surname,' ',s.firstname,' ',s.othernames) AS name
	         	,d.programme_option,l.level_name
	         	,p1.departments_name,p2.faculties_name
	         	,c.cyearsession
	         FROM students_profile
	                   AS s,
	                   course_reg AS c
	                   ,departments AS p1
	                   ,faculties AS p2
	                   ,dept_options AS d
	                   ,level AS l
	         WHERE s.stddepartment_id='$departmentId'
	         AND s.std_id=c.std_id
	         AND s.stdfaculty_id='$facultyId'
             AND s.stdfaculty_id=p2.faculties_id
             AND s.stddepartment_id=p1.departments_id
	         AND s.stdcourse='$courseId'
	         AND s.stdcourse=d.do_id
	         AND s.std_custome1=l.level_id
			 AND s.std_custome1='$csLevel'
	         AND c.cyearsession='$sessionId'
	                    $orderby";

	   $ret=mysql_query($sql,$connect) or die('Error in connection Contact the administrator');
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	  $data=new stdClass();
	    	  $data->studentName=ucwords(strtolower($d['name']));
	    	  if($d['type'])
	    	  {
	    	    $data->studentMatricno=$d['std_custome20'];
	    	  }else
	    	  {
	    	  	$data->studentMatricno=$d['matric_no'];
	    	  }

	    	  $data->studentCourse=$d['programme_option'];
	    	  $data->studentLevel=$d['level_name'];
	    	  $data->studentDepartment=$d['departments_name'];
	    	  $data->studentFaculty=$d['faculties_name'];
	    	  $data->studentSession=$d['cyearsession'];
	    	  $data->studentRegisteredcourse=get_registered_courses($d['std_id'],$sessionId);
	    	  $dataset[]=$data;
	    	}
	    }
	    $pager->setRows($dataset);
	    return $dataset;
}

//student type

function find_student_population_f1($facultyId,$sessionID,$studentType=0)
{
	$dataset=array();
	//get all levels and initialise the dataset
	$levelList=get_levels();
	global $connect;
	

	switch ((int)$studentType)
	{
		case 1:
			// fetching new student
			$student_type="new";
			break;
		case 2:
			//fetching returning student
			$student_type="returning";
			break;
			default:
				//defaults to new student
				$student_type="new";
	}


	foreach($levelList as $l)
	{
		$dataset[$l->levelName]=0;
	}

	$sql="SELECT
	      COUNT(DISTINCT p2.std_id)
	      AS total,l.level_name
	      FROM  students_profile
	      AS p2,level
	      AS l
		  
	     
		 
	      WHERE 
		  p2.stdfaculty_id='$facultyId'  AND
		   p2.std_custome1 = l.level_id
	       
	      
	      AND p2.std_custome19='$student_type'
	      GROUP BY l.level_name";

	   $ret=mysql_query($sql,$connect) or die(mysql_error());
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	    if(array_key_exists($d['level_name'],$dataset))
	  	 	    {
	  	 	 	  $dataset[$d['level_name']]=$d['total'];
	  	 	    }
	    	}
	    }
	    $totalnum=array_sum($dataset);
	    $dataset['total']=$totalnum;
	    return $dataset;

}


//student statistic by type 

function get_student_registration_f1($studentType=1)
{
	$dataset=array();
	//get the current session
	$sessObj=get_current_session()->session;
	$sessArr=explode("/",$sessObj);
	$sessionId=$sessArr[0];

	$facultyList=get_faculties();
	foreach($facultyList as $f)
	{
		$dataset[$f->name.":".$f->id]=find_student_population_f1($f->id,$sessionId,$studentType);
	}
	return $dataset;

}






//search returning and new by dept



function get_student_registration_d1($facultyId,$studentType)
{
	$dataset=array();
	//get the current session
	$sessObj=get_current_session()->session;
	$sessArr=explode("/",$sessObj);
	$sessionId=$sessArr[0];

	$departmentList=get_departments($facultyId);

	foreach($departmentList as $d)
	{
		$dataset[$d->departmentName]=find_student_population_d1($d->departmentId,$sessionId,$studentType);
	}
	return $dataset;
}



function find_student_population_d1($departmentId,$sessionID,$studentType)
{
	$dataset=array();
	//get all levels and initialise the dataset
	$levelList=get_levels();
	global $connect;
	

	switch ((int)$studentType)
	{
		case 1:
			// fetching new student
			$student_type="new";
			break;
		case 2:
			//fetching returning student
			$student_type="returning";
			break;
			default:
				//defaults to new student
				$student_type="new";
	}


	foreach($levelList as $l)
	{
		$dataset[$l->levelName]=0;
	}

	$sql="SELECT
	      COUNT(DISTINCT p2.std_id)
	      AS total,l.level_name
	      FROM  students_profile
	      AS p2,level
	      AS l
	      WHERE p2.stddepartment_id='$departmentId'
	     
	      AND p2.std_custome1=l.level_id
	      AND p2.std_custome19='$student_type'
	      GROUP BY l.level_name";

	   $ret=mysql_query($sql,$connect);
	    if(mysql_num_rows($ret)>0)
	    {
	    	while($d=mysql_fetch_assoc($ret))
	    	{
	    	    if(array_key_exists($d['level_name'],$dataset))
	  	 	    {
	  	 	 	  $dataset[$d['level_name']]=$d['total'];
	  	 	    }
	    	}
	    }
	    $totalnum=array_sum($dataset);
	    $dataset['total']=$totalnum;
	    return $dataset;
}

function subStudentReportstat24($facultyId)
{
	$dataset=array();
	$facultyDepartments=get_departments($facultyId);
	foreach($facultyDepartments as $d)
	{
		$dataset[$d->departmentName]=subCalculateStatistics24($d->departmentId);
	}
	return $dataset;

}
function subCalculateStatistics24($departmentId)
{
  global $connect;
	$levelData=array();

	//get all the levels
	$allLevels=get_levels();
	foreach($allLevels as $item)
	{
		$levelData[$item->levelName]=0;
	}

	$sql="SELECT f.level_name,
	          COUNT(DISTINCT p7.user_id)
                  	          
	          AS total
	          FROM level
	          AS f
	          LEFT JOIN transaction AS p7
	          ON f.level_id=p7.trans_custom13
	          WHERE p7.user_department ='$departmentId'
	         GROUP BY f.level_name";

	$ret=mysql_query($sql,$connect)or die(mysql_error());
	if(mysql_num_rows($ret)>0)
	{
	   while($d=mysql_fetch_assoc($ret))
	   {
	   	   if(array_key_exists($d['level_name'],$levelData))
	   	   {
	   	   	  $levelData[$d['level_name']]=$d['total'];
	   	   }
	   }
	}
	   $totalvalue=array_sum($levelData);
	   $levelData['total']=$totalvalue;
	return $levelData;
}



function studentStateStatisticsByRegistration()
{

	//global $pager;
	$dataset=array();
	$allStates=get_states();
	foreach($allStates as $key)
	{
		$data=new stdClass();
		$data->totalMale=getTotalRegister($key->stateId);
		$data->totalFemale=getTotalapply($key->stateId);
		$data->total=intval($data->totalMale) - intval($data->totalFemale);
		$dataset[$key->stateName]=$data;
	}

	 //$pager->setRows($dataset);
	 return $dataset;

}
function getTotalRegister($stateId)
{
	global $connect;
	$totalMale=0;

 $sql="SELECT COUNT(DISTINCT p2.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,level
	      AS l 
	      WHERE 
		   l.level_id <= '2' AND
	       p2.state_of_origin='$stateId'
	      
	      AND p2.std_custome19='new'";
   $ret=mysql_query($sql,$connect)or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalMale=$d['total'];
    	}
    }
    return $totalMale;
}
function getTotalapply($stateId)
{
	global $connect;
	$totalFemale=0;

 $sql="SELECT
	      COUNT(DISTINCT p1.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,students_reg
	      AS p1
	      WHERE
		  std_custome1 <= 2 AND
	      p2.state_of_origin='$stateId'
	      AND p1.std_id=p2.std_id
	      AND p2.std_custome19='new'";
   $ret=mysql_query($sql,$connect)or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalFemale=$d['total'];
    	}
    }
    return $totalFemale;
}

function studentlgaStatisticsByRegistration()
{

	//global $pager;
	$stateid = '20';
	$dataset=array();
	$lga=get_lga_by_state($stateid);
	foreach($lga as $key)
	{
		$data=new stdClass();
		$data->totalMale=getTotalRegisterlga($key->lgaId);
		$data->totalFemale=getTotalapplylga($key->lgaId);
		$data->total=intval($data->totalMale) - intval($data->totalFemale);
		$dataset[$key->lgaName]=$data;
	}

	 //$pager->setRows($dataset);
	 return $dataset;

}
function getTotalRegisterlga($stateId)
{
	global $connect;
	$totalMale=0;

 $sql="SELECT COUNT(DISTINCT p2.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,level
	      AS l 
	      WHERE 
		   l.level_id <= '2' AND
	       p2.local_gov ='$stateId'
	      AND p2.state_of_origin = '20'
	      AND p2.std_custome19='new'";
   $ret=mysql_query($sql,$connect)or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalMale=$d['total'];
    	}
    }
    return $totalMale;
}
function getTotalapplylga($stateId)
{
	global $connect;
	$totalFemale=0;

 $sql="SELECT
	      COUNT(DISTINCT p1.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,students_reg
	      AS p1
	      WHERE
	      p2.local_gov ='$stateId'
		  AND p2.state_of_origin = '20'
	      AND p1.std_id=p2.std_id
	      AND p2.std_custome19='new'";
   $ret=mysql_query($sql,$connect) or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalFemale=$d['total'];
    	}
    }
    return $totalFemale;
}




//student general listing

function findAllGeneralStudent($type,$session,$sorttype=0)
{   
    $sorttype=5;
	global $connect;
	global $pager;
	$dataset=array();
	$level='';

	$sql='';
	$orderby="";
	   switch ((int)$sorttype)
	   {
	   	case 1:
	   		// sort by matric number

	   		    $orderby="s.matric_no";
	   		break;
	   	case 2:
	   		// sort by surname
	   		     $orderby="s.surname";
	   		break;
	   	case 3:
	   		// sort by other name or faculty
	   		    $orderby="s.stdfaculty_id";
	   		break;
	   	case 4:
	   		// sort by  department
	   		      $orderby="s.stddepartment_id";
	   		break;
	   	case 5:
	   		// sort by level
	   		     $orderby="s.std_custome1";
	   		break;
	   	case 6:
	   		 $orderby="d.programme_option";
	   		break;
	   	case 7:
	   		  $orderby="s.state_of_origin";
	   		break;
	   	case 8:
	   		  $orderby="s.gender";
	   		break;
	   		default:
	   		    $orderby="d.programme_option";
	   }

	   $levelType='';
	   if($type==1)
	   {
	   	$levelType="AND s.std_custome1<7";
	   }else
	   {
	   	$levelType="AND s.std_custome1>6";
	   }

	   $sql="SELECT distinct s.matric_no,
	     		  CONCAT(s.firstname,' ',s.surname) as name,
	      		  s.gender,p.state_name,d.programme_option,l.level_id,l.level_name,s.std_custome20,s.local_gov,
				  s.state_of_origin,s.std_custome21,v.stdstatus_name,
                  d2.departments_name,f.faculties_name
	      		  FROM students_profile
	      		  AS s,state
	      		  AS p,dept_options
                  AS d,student_status AS v ,
               
               departments AS d2,level
                  AS l,faculties
                  AS f
                  WHERE s.stdfaculty_id=f.faculties_id
                  AND s.stddepartment_id=d2.departments_id
                  AND s.stdcourse=d.do_id
                  AND s.std_custome1=l.level_id
	      		  AND s.state_of_origin=p.state_id
	      		  AND s.std_custome2='$session'
				  AND s.std_custome1 < '5'
				  AND s.std_custome21 = v.stdstatus_id 
                  
	        	  $levelType
	        	  ORDER BY $orderby";
	   $ret=mysql_query($sql,$connect) or die(mysql_error());
	   if(mysql_num_rows($ret)>0)
	   {
	   	 while($d=mysql_fetch_assoc($ret))
	   	 {
	   	 	 $data=new stdClass();

	   	 	 if($d['level_id']<7)
	   	 	 {
	   	 	   $data->studentMatricno=$d['matric_no'];
	   	 	 }else
	   	 	 {
	   	 	 	$data->studentMatricno=$d['std_custome20'];
	   	 	 }

	   	 	 $data->studentName=$d['name'];
	   	 	 $data->studentGender=$d['gender'];
	   	 	 $data->studentLevel=$d['level_name'];
	   	 	 $data->studentFaculty=$d['faculties_name'];
	   	 	 $data->studentDepartment=$d['departments_name'];
	   	 	 $data->studentCourse=$d['programme_option'];
	   	 	 $data->studentSurname=$d['surname'];
	   	 	 $data->studentState=$d['state_name'];
			 $data->studentId=$d['state_of_origin'];
			 $data->studentLga=$d['local_gov'];
			 $data->studentStatus=$d['stdstatus_name'];
	   	 	 $dataset[]=$data;
	   	 }
	   }
	   $pager->setRows($dataset);
	   return $dataset;

}




//student listing by status

function findAllStudentStatus($type,$session)
{   
   // $sorttype=5;
	global $connect;
	global $pager;
	$dataset=array();
	$level='';

	$sql='';
	$orderby="";
	   switch ((int)$sorttype)
	   {
	   	case 1:
	   		// sort by matric number

	   		    $orderby="s.matric_no";
	   		break;
	   	case 2:
	   		// sort by surname
	   		     $orderby="s.surname";
	   		break;
	   	case 3:
	   		// sort by other name or faculty
	   		    $orderby="s.stdfaculty_id";
	   		break;
	   	case 4:
	   		// sort by  department
	   		      $orderby="s.stddepartment_id";
	   		break;
	   	case 5:
	   		// sort by level
	   		     $orderby="s.std_custome1";
	   		break;
	   	case 6:
	   		 $orderby="d.programme_option";
	   		break;
	   	case 7:
	   		  $orderby="s.state_of_origin";
	   		break;
	   	case 8:
	   		  $orderby="s.gender";
	   		break;
	   		default:
	   		    $orderby="d.programme_option";
	   }

	   $levelType='';
	   if($type==1)
	   {
	   	$levelType="AND s.std_custome1<7";
	   }else
	   {
	   	$levelType="AND s.std_custome1>6";
	   }

	   $sql= "SELECT DISTINCT s.matric_no,
	     		  CONCAT(s.firstname,' ',s.surname) AS name,
	      		  s.gender,p.state_name,d.programme_option,l.level_id,l.level_name,s.std_custome20,s.local_gov,
				  s.state_of_origin,s.std_custome21,v.stdstatus_name,
                  d2.departments_name,f.faculties_name
	      		  FROM students_profile
	      		  AS s,state
	      		  AS p,dept_options
                  AS d,student_status AS v ,
               
               departments AS d2,level
                  AS l,faculties
                  AS f
                  WHERE s.stdfaculty_id=f.faculties_id
                  AND s.stddepartment_id=d2.departments_id
                  AND s.stdcourse=d.do_id
                  AND s.std_custome1=l.level_id
	      		  AND s.state_of_origin=p.state_id
	      		  AND s.std_custome2='$session'
				  AND s.std_custome1 < '5'
				  AND s.std_custome21 = '$type'
				  AND s.std_custome21 = v.stdstatus_id   ";
	   $ret=mysql_query($sql,$connect) or die(mysql_error());
	   if(mysql_num_rows($ret)>0)
	   {
	   	 while($d=mysql_fetch_assoc($ret))
	   	 {
	   	 	 $data=new stdClass();

	   	 	 if($d['level_id']<7)
	   	 	 {
	   	 	   $data->studentMatricno=$d['matric_no'];
	   	 	 }else
	   	 	 {
	   	 	 	$data->studentMatricno=$d['std_custome20'];
	   	 	 }

	   	 	 $data->studentName=$d['name'];
	   	 	 $data->studentGender=$d['gender'];
	   	 	 $data->studentLevel=$d['level_name'];
	   	 	 $data->studentFaculty=$d['faculties_name'];
	   	 	 $data->studentDepartment=$d['departments_name'];
	   	 	 $data->studentCourse=$d['programme_option'];
	   	 	 $data->studentSurname=$d['surname'];
	   	 	 $data->studentState=$d['state_name'];
			 $data->studentId=$d['state_of_origin'];
			 $data->studentLga=$d['local_gov'];
			 $data->studentStatus=$d['stdstatus_name'];
	   	 	 $dataset[]=$data;
	   	 }
	   }
	   $pager->setRows($dataset);
	   return $dataset;

}



	
function getAllTotalRegister($stateId)
{
	global $connect;
	$totalMale=0;

 $sql="SELECT COUNT(DISTINCT p2.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,level
	      AS l 
	      WHERE 
		   l.level_id <= '5' AND
	       p2.state_of_origin='$stateId'
	      
	     ";
   $ret=mysql_query($sql,$connect)or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalMale=$d['total'];
    	}
    }
    return $totalMale;
}

	
function allStudentStateStatisticsByRegistration()
{

	//global $pager;
	$dataset=array();
	$allStates=get_states();
	foreach($allStates as $key)
	{
		$data=new stdClass();
		$data->totalMale= getAllTotalRegister($key->stateId);
		$data->totalFemale=getAllTotalapply($key->stateId);
		$data->total=intval($data->totalMale) - intval($data->totalFemale);
		$dataset[$key->stateName]=$data;
	}

	 //$pager->setRows($dataset);
	 return $dataset;

}


function getAllTotalapply($stateId)
{
	global $connect;
	$totalFemale=0;

 $sql="SELECT
	      COUNT(DISTINCT p1.std_id)
	      AS total
	      FROM  students_profile
	      AS p2,students_reg
	      AS p1
	      WHERE
		  std_custome1 <= 5 AND
	      p2.state_of_origin='$stateId'
	      AND p1.std_id=p2.std_id
	     ";
   $ret=mysql_query($sql,$connect)or die(mysql_error());
    if(mysql_num_rows($ret)>0)
    {
    	while($d=mysql_fetch_assoc($ret))
    	{
    		$totalFemale=$d['total'];
    	}
    }
    return $totalFemale;
}

function studentGenRegReport($sessionId,$facultyId,$sorttype=0)
{
	global $connect;
	global $pager;
	$dataset= array();
	$sql="";
	$orderby="";
	switch((int)$sorttype)
	{
		case 1:
			//sort by matric no
			      $orderby="p.matric_no";
			break;
		case 2:
			//sort by student firstname and surname
			     $orderby="p.surname";
			break;
		case 3:
			//sort by gender
			      $orderby="p.gender";
			break;

		case 4:
			//sort by faculty
			     $orderby="s.faculties_name";
		default:
			//normal query
			   $orderby="p.firstname";
	}


			   $sql="SELECT
			      CONCAT(p.surname,' ',p.firstname,' ',p.othernames)
			      AS name,p.gender,p.matric_no,d.departments_name,p.std_custome1,
			      SUM(c.c_unit)
			      AS totalunit,s.faculties_name
			      FROM faculties
			      AS s,departments  AS d,students_profile
			      AS p
			      LEFT JOIN course_reg
			      AS c
			      USING(std_id)
			      WHERE p.stdfaculty_id=s.faculties_id
			      AND c.cyearsession='$sessionId' AND d.departments_id = p.stddepartment_id
			      
			      GROUP BY p.matric_no ";

	 $ret=mysql_query($sql,$connect) or die(mysql_error());
	 if(mysql_num_rows($ret)>0)
	 {
	 	 while($d=mysql_fetch_assoc($ret))
	 	 {
	 	 	$data=new stdClass();
	 	 	$data->studentName=$d['name'];
	 	 	$data->studentFaculty=$d['faculties_name'];
	 	 	$data->studentSession=$d['cyearsession'];
	 	 	$data->studentGender=$d['gender'];
	 	 	$data->studentMatricno=$d['matric_no'];
			$data->studentDept=$d['departments_name'];
			$data->studentLevel=$d['std_custome1'];
			
	 	 	$data->studentTotalunits=$d['totalunit'];

	 	 	$dataset[]=$data;
	 	 }
	 }
	 $pager->setRows($dataset);
	 return $dataset;
}
	

	

?>