<?php

function __autoload($class_name) {
	$class_name = strtolower($class_name);
  $path = "library/include/{$class_name}.php";
  //var_dump($path);exit;
  if(file_exists($path)) {
    require_once($path);
  } else {
		die("The file {$class_name}.php could not be found.");
	}
}

function html_encode($this_string) {
    $this_string = zp_html_decode($this_string, ENT_QUOTES);
    return htmlspecialchars($this_string, ENT_QUOTES, getOption('charset'));
}



function sanitize_numeric($num) {
    if (is_numeric($num)) {
        return round($num);
    } else {
        return false;
    }
}

  function sanitize_path($filename) {
    if (get_magic_quotes_gpc()) $filename = stripslashes($filename);
    $filename = str_replace(chr(0), " ", $filename);
    $filename = strip_tags($filename);
    $filename = preg_replace(array('/^\/+/','/\/+$/','/\/\/+/','/\/\.\./','/\/\./'), '', $filename);
    return $filename;
}
function clearInjection($y){
$y = mysql_real_escape_string(trim(strip_tags($y)));
if(!get_magic_quotes_gpc()){
$y = addslashes($y);
}
return $y;
}


function strip_zeros_from_date( $marked_string="" ) {
  // first remove the marked zeros
  $no_zeros = str_replace('*0', '', $marked_string);
  // then remove any remaining marks
  $cleaned_string = str_replace('*', '', $no_zeros);
  return $cleaned_string;
}

function redirect_to( $location = NULL ) {
  if ($location != NULL) {
    header("Location: {$location}");
    exit;
  }
}

function output_message($message="") {
  if (!empty($message)) { 
    return "<p class=\"message\">{$message}</p>";
  } else {
    return "";
  }
}




 function GetAge($DOB) {
	list($bY,$bm,$bd) = explode("-",$DOB);
	if ($DOD!="" && $DOD != "0000-00-00") {
	// Animal is dead
		list($dY,$dm,$dd) = explode("-",$DOD);
			if ($bY == $dY) {
     			$months = $dm - $bm;
	     		if ($months == 0 || $months > 1) {
	     			return "$months months";
	     		} else
	    			return "$months month";
			} else 
   				return( $dm.$dd < $bm.$bd ? $dY-$bY-1 : $dY-$bY );
	} else
	// Animal is alive
	if ($bY != "" && $bY != "0000") {	
     	if ($bY == date("Y")) {
     		$months = date('m') - $bm;
     		if ($months == 0 || $months > 1) {
     			return "$months months";
     		} else 
    			return "$months month";
		} else
			return( date("md") < $bm.$bd ? date("Y")-$bY-1 : date("Y")-$bY );
	} else	
    	return "No Date!";
}



function covertdate($date){
            $date = $date;
            $date = date("Y-m-d", strtotime($date));
            return $date;
        
        
    }
?>